import { Handler } from '../event-manager';
import DataSet, { DataSetChildren } from './DataSet';
import Record from './Record';
import { DataToJSON } from './enum';
export default class DataSetSnapshot {
    dataSet: DataSet;
    records: Record[];
    current?: Record;
    events?: {
        [eventName: string]: Handler[];
    };
    originalData: Record[];
    cachedRecords: Record[];
    totalCount: number;
    currentPage: number;
    pageSize: number;
    dataToJSON: DataToJSON;
    children: DataSetChildren;
    constructor(dataSet: DataSet);
}
