"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _badInput = _interopRequireDefault(require("./badInput"));

var _patternMismatch = _interopRequireDefault(require("./patternMismatch"));

var _rangeOverflow = _interopRequireDefault(require("./rangeOverflow"));

var _rangeUnderflow = _interopRequireDefault(require("./rangeUnderflow"));

var _stepMismatch = _interopRequireDefault(require("./stepMismatch"));

var _tooLong = _interopRequireDefault(require("./tooLong"));

var _tooShort = _interopRequireDefault(require("./tooShort"));

var _typeMismatch = _interopRequireDefault(require("./typeMismatch"));

var _customError = _interopRequireDefault(require("./customError"));

var _uniqueError = _interopRequireDefault(require("./uniqueError"));

var validationRules = [_badInput["default"], _patternMismatch["default"], _rangeOverflow["default"], _rangeUnderflow["default"], _stepMismatch["default"], _tooLong["default"], _tooShort["default"], _typeMismatch["default"], _customError["default"], _uniqueError["default"]];
var _default = validationRules;
exports["default"] = _default;
//# sourceMappingURL=index.js.map
