import { FunctionComponent } from 'react';
import { BaseQRCodeProps } from 'qrcode.react';
import { BaseOptions as JsBarCodeBaseOption } from 'jsbarcode';
import { CodeType } from './enum';
export { CodeType, };
export interface QRBarCodeProps extends BaseQRCodeProps {
    type?: string;
    prefixCls?: string;
    className?: string;
    value: string;
    bgColor?: string;
    fgColor?: string;
    renderAs?: 'canvas' | 'svg';
    /**
     * JsBarcode 需要的属性
     */
    option?: JsBarCodeBaseOption;
}
declare const QRBarCode: FunctionComponent<QRBarCodeProps>;
export default QRBarCode;
