import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["type"];
import React from 'react';
import QRCode from './QRCode';
import BarCode from './BarCode';
import { CodeType } from './enum';
export { CodeType };

var QRBarCode = function QRBarCode(props) {
  var _props$type = props.type,
      type = _props$type === void 0 ? CodeType.QR : _props$type,
      rest = _objectWithoutProperties(props, _excluded);

  if (type === CodeType.QR) {
    return /*#__PURE__*/React.createElement(QRCode, _extends({}, rest));
  }

  return /*#__PURE__*/React.createElement(BarCode, _extends({}, rest));
};

export default QRBarCode;
//# sourceMappingURL=index.js.map
