import { CSSProperties, FunctionComponent, ReactNode } from 'react';
import DataSet from 'choerodon-ui/dataset';
export declare type CollapsibleType = 'header' | 'icon' | 'disabled';
export interface CollapsePanelProps {
    key: string;
    header: ReactNode;
    disabled?: boolean;
    className?: string;
    style?: CSSProperties;
    showArrow?: boolean;
    prefixCls?: string;
    forceRender?: boolean;
    id?: string;
    extra?: ReactNode;
    dataSet?: DataSet | DataSet[];
    collapsible?: CollapsibleType;
    hidden?: boolean;
    children?: ReactNode;
}
declare const CollapsePanel: FunctionComponent<CollapsePanelProps>;
export default CollapsePanel;
