import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from 'react';
import classNames from 'classnames';
import RcCollapse from '../rc-components/collapse';

var CollapsePanel = function CollapsePanel(props) {
  var prefixCls = props.prefixCls,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      _props$showArrow = props.showArrow,
      showArrow = _props$showArrow === void 0 ? true : _props$showArrow;
  var collapsePanelClassName = classNames(_defineProperty({}, "".concat(prefixCls, "-no-arrow"), !showArrow), className);
  return /*#__PURE__*/React.createElement(RcCollapse.Panel, _extends({}, props, {
    className: collapsePanelClassName
  }));
};

CollapsePanel.displayName = 'CollapsePanel';
export default CollapsePanel;
//# sourceMappingURL=CollapsePanel.js.map
