import { getContext, Symbols } from 'choerodon-ui/shared';
import { getConfig, getCustomizable, getPrefixCls, getProPrefixCls } from '../configure/utils';
import { getTooltip, getTooltipTheme, getTooltipPlacement } from '../_util/TooltipUtils';
var ConfigContext = getContext(Symbols.ConfigContext, {
  getConfig: getConfig,
  getPrefixCls: getPrefixCls,
  getProPrefixCls: getProPrefixCls,
  getCustomizable: getCustomizable,
  getTooltip: getTooltip,
  getTooltipTheme: getTooltipTheme,
  getTooltipPlacement: getTooltipPlacement
});
export default ConfigContext;
//# sourceMappingURL=ConfigContext.js.map
