import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import CalendarLocale from '../../rc-components/calendar/locale/fa_IR';
import TimePickerLocale from '../../time-picker/locale/fa_IR'; // Merge into a locale object

var locale = {
  lang: _objectSpread({
    placeholder: 'انتخاب تاریخ',
    rangePlaceholder: ['تاریخ شروع', 'تاریخ پایان']
  }, CalendarLocale),
  timePickerLocale: _objectSpread({}, TimePickerLocale)
}; // All settings at:

export default locale;
//# sourceMappingURL=fa_IR.js.map
