import React, { ReactNode } from 'react';
export interface FormContextValue {
    vertical?: boolean;
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface FormContextProviderProps extends FormContextValue {
    children?: ReactNode;
}
declare const FormContext: React.Context<FormContextValue>;
export declare const FormContextProvider: React.NamedExoticComponent<FormContextProviderProps>;
export default FormContext;
