import React, { ReactNode } from 'react';
export interface LayoutSiderContextValue {
    siderCollapsed?: boolean;
    collapsedWidth?: number | string;
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface LayoutSiderContextProviderProps extends LayoutSiderContextValue {
    children?: ReactNode;
}
declare const LayoutSiderContext: React.Context<LayoutSiderContextValue>;
export declare const LayoutSiderContextProvider: React.NamedExoticComponent<LayoutSiderContextProviderProps>;
export default LayoutSiderContext;
