import _objectSpread from "@babel/runtime/helpers/objectSpread2";

/* eslint-disable react/prop-types */
import React from 'react';

var Track = function Track(props) {
  var className = props.className,
      included = props.included,
      vertical = props.vertical,
      offset = props.offset,
      length = props.length,
      style = props.style;
  var positonStyle = vertical ? {
    bottom: "".concat(offset, "%"),
    height: "".concat(length, "%")
  } : {
    left: "".concat(offset, "%"),
    width: "".concat(length, "%")
  };

  var elStyle = _objectSpread(_objectSpread({}, style), positonStyle);

  return included ? /*#__PURE__*/React.createElement("div", {
    className: className,
    style: elStyle
  }) : null;
};

export default Track;
//# sourceMappingURL=Track.js.map
