import _extends from "@babel/runtime/helpers/extends";

/* eslint react/no-did-mount-set-state: 0 */
import React, { useCallback, useRef } from 'react';
import StepGroup from './StepGroup';

var Steps = function Steps(props) {
  var _stepIndex = useRef(0);

  var setNumberChange = useCallback(function (index) {
    _stepIndex.current = index;
  }, []);
  var getNumberChange = useCallback(function () {
    return _stepIndex.current;
  }, []);
  return /*#__PURE__*/React.createElement(StepGroup, _extends({}, props, {
    setNumberChange: setNumberChange,
    getNumberChange: getNumberChange
  }));
};

Steps.displayName = 'RcSteps';
export default Steps;
//# sourceMappingURL=Steps.js.map
