import React from 'react';
import { observer } from 'mobx-react-lite';
import Badge from '../badge';

var InvalidBadge = function InvalidBadge(props) {
  var children = props.children,
      isInvalid = props.isInvalid,
      prefixCls = props.prefixCls;
  var invalid = isInvalid();
  return invalid ? /*#__PURE__*/React.createElement(Badge, {
    className: "".concat(prefixCls, "-invalid-badge"),
    count: /*#__PURE__*/React.createElement("i", {
      className: "".concat(prefixCls, "-invalid-badge-content")
    })
  }, children) : /*#__PURE__*/React.createElement(React.Fragment, null, children);
};

InvalidBadge.displayName = 'InvalidBadge';
export default observer(InvalidBadge);
//# sourceMappingURL=InvalidBadge.js.map
