import { CSSProperties, FunctionComponent, Key, MouseEvent, ReactNode } from 'react';
import { TabsType } from './enum';
export interface TabBarProps {
    inkBarAnimated?: boolean | undefined;
    scrollAnimated?: boolean | undefined;
    extraContent?: ReactNode;
    style?: CSSProperties | undefined;
    inkBarStyle?: CSSProperties | undefined;
    tabBarGutter?: number | undefined;
    className?: string | undefined;
    type?: TabsType | undefined;
    showMore?: boolean;
    hideAdd?: boolean;
    onRemoveTab: (targetKey: Key | null, e: MouseEvent<HTMLElement>) => void;
    onEdit?: (targetKey: Key | MouseEvent<HTMLElement>, action: 'add' | 'remove') => void;
}
declare const TabBar: FunctionComponent<TabBarProps>;
export default TabBar;
