import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["onTabClick", "tabKey"];
import React, { forwardRef, useCallback } from 'react';
import noop from 'lodash/noop';
var TabBarInner = /*#__PURE__*/forwardRef(function TabBarInner(props, ref) {
  var _props$onTabClick = props.onTabClick,
      onTabClick = _props$onTabClick === void 0 ? noop : _props$onTabClick,
      tabKey = props.tabKey,
      rest = _objectWithoutProperties(props, _excluded);

  var handleClick = useCallback(function () {
    return onTabClick(tabKey);
  }, [onTabClick, tabKey]);
  return /*#__PURE__*/React.createElement("div", _extends({}, rest, {
    onClick: handleClick,
    ref: ref
  }));
});
TabBarInner.displayName = 'TabBarInner';
export default TabBarInner;
//# sourceMappingURL=TabBarInner.js.map
