import { MouseEventHandler, FunctionComponent, ReactNode, CSSProperties } from 'react';
import { ButtonProps } from '../button';
export interface TransferOperationProps {
    className?: string;
    leftArrowText?: ReactNode;
    rightArrowText?: ReactNode;
    moveToLeft?: MouseEventHandler<any>;
    moveToRight?: MouseEventHandler<any>;
    leftActive?: boolean;
    rightActive?: boolean;
    style?: CSSProperties;
    buttonProps?: ButtonProps;
}
declare const Operation: FunctionComponent<TransferOperationProps>;
export default Operation;
