import React, { Component, FormEvent, MouseEventHandler } from 'react';
import { InputProps } from '../input';
export interface TransferSearchProps {
    prefixCls?: string;
    placeholder?: string;
    onChange?: (e: FormEvent<any>) => void;
    handleClear?: MouseEventHandler<any>;
    value?: any;
    inputProps?: InputProps;
}
export default class Search extends Component<TransferSearchProps, any> {
    static displayName: string;
    static defaultProps: {
        placeholder: string;
    };
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleClear: MouseEventHandler<HTMLAnchorElement>;
    render(): JSX.Element;
}
