"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _collapse = _interopRequireDefault(require("../rc-components/collapse"));

var CollapsePanel = function CollapsePanel(props) {
  var prefixCls = props.prefixCls,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      _props$showArrow = props.showArrow,
      showArrow = _props$showArrow === void 0 ? true : _props$showArrow;
  var collapsePanelClassName = (0, _classnames["default"])((0, _defineProperty2["default"])({}, "".concat(prefixCls, "-no-arrow"), !showArrow), className);
  return /*#__PURE__*/_react["default"].createElement(_collapse["default"].Panel, (0, _extends2["default"])({}, props, {
    className: collapsePanelClassName
  }));
};

CollapsePanel.displayName = 'CollapsePanel';
var _default = CollapsePanel;
exports["default"] = _default;
//# sourceMappingURL=CollapsePanel.js.map
