/// <reference types="react" />
import { getConfig, getCustomizable, getPrefixCls, getProPrefixCls } from '../configure/utils';
import { getTooltip, getTooltipTheme, getTooltipPlacement } from '../_util/TooltipUtils';
export interface ConfigContextValue {
    getConfig: typeof getConfig;
    getPrefixCls: typeof getPrefixCls;
    getProPrefixCls: typeof getProPrefixCls;
    getCustomizable: typeof getCustomizable;
    getTooltip: typeof getTooltip;
    getTooltipTheme: typeof getTooltipTheme;
    getTooltipPlacement: typeof getTooltipPlacement;
}
declare const ConfigContext: import("react").Context<ConfigContextValue>;
export default ConfigContext;
