import React, { ReactNode } from 'react';
export interface LayoutContextValue {
    siderHook?: {
        addSider: (id: string) => void;
        removeSider: (id: string) => void;
    };
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface LayoutContextProviderProps extends LayoutContextValue {
    children?: ReactNode;
}
declare const LayoutContext: React.Context<LayoutContextValue>;
export declare const LayoutContextProvider: React.NamedExoticComponent<LayoutContextProviderProps>;
export default LayoutContext;
