"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ca_ES = _interopRequireDefault(require("../rc-components/pagination/locale/ca_ES"));

var _ca_ES2 = _interopRequireDefault(require("../date-picker/locale/ca_ES"));

var _ca_ES3 = _interopRequireDefault(require("../time-picker/locale/ca_ES"));

var _ca_ES4 = _interopRequireDefault(require("../calendar/locale/ca_ES"));

var _default = {
  locale: 'ca',
  Pagination: _ca_ES["default"],
  DatePicker: _ca_ES2["default"],
  TimePicker: _ca_ES3["default"],
  Calendar: _ca_ES4["default"],
  Table: {
    filterTitle: 'Filtrar Menu',
    filterConfirm: 'OK',
    filterReset: 'Restablir',
    emptyText: 'Sense dades'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'Cancel·lar',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'Cancel·lar'
  },
  Transfer: {
    notFoundContent: 'No trobat',
    searchPlaceholder: 'Cercar aquí',
    itemUnit: 'item',
    itemsUnit: 'items'
  },
  Select: {
    notFoundContent: 'No trobat'
  },
  Notification: {
    total: 'Un total de',
    message: 'missatges',
    closeAll: 'Tanca-ho tot'
  }
};
exports["default"] = _default;
//# sourceMappingURL=ca_ES.js.map
