"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _cs_CZ = _interopRequireDefault(require("../date-picker/locale/cs_CZ"));

var _cs_CZ2 = _interopRequireDefault(require("../time-picker/locale/cs_CZ"));

var _cs_CZ3 = _interopRequireDefault(require("../calendar/locale/cs_CZ"));

var _cs_CZ4 = _interopRequireDefault(require("../rc-components/pagination/locale/cs_CZ"));

var _default = {
  locale: 'cs',
  Pagination: _cs_CZ4["default"],
  DatePicker: _cs_CZ["default"],
  TimePicker: _cs_CZ2["default"],
  Calendar: _cs_CZ3["default"],
  Table: {
    filterTitle: 'Filtr',
    filterConfirm: 'Potvrdit',
    filterReset: 'Obnovit',
    emptyText: 'Žádná data'
  },
  Modal: {
    okText: 'Ok',
    cancelText: 'Storno',
    justOkText: 'Ok'
  },
  Popconfirm: {
    okText: 'Ok',
    cancelText: 'Storno'
  },
  Transfer: {
    notFoundContent: 'Nenalezeno',
    searchPlaceholder: 'Vyhledávání',
    itemUnit: 'položka',
    itemsUnit: 'položek'
  },
  Select: {
    notFoundContent: 'Nenalezeno'
  },
  Upload: {
    uploading: 'Nahrávání...',
    removeFile: 'Odstranit soubor',
    uploadError: 'Chyba při nahrávání',
    previewFile: 'Zobrazit soubor'
  },
  Collapse: {
    fold: 'Fold',
    unfold: 'Unfold'
  },
  Notification: {
    total: 'Celkem',
    message: 'zprávy',
    closeAll: 'Zavřete vše'
  }
};
exports["default"] = _default;
//# sourceMappingURL=cs_CZ.js.map
