"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _de_DE = _interopRequireDefault(require("../rc-components/pagination/locale/de_DE"));

var _de_DE2 = _interopRequireDefault(require("../date-picker/locale/de_DE"));

var _de_DE3 = _interopRequireDefault(require("../time-picker/locale/de_DE"));

var _de_DE4 = _interopRequireDefault(require("../calendar/locale/de_DE"));

var _default = {
  locale: 'de',
  Pagination: _de_DE["default"],
  DatePicker: _de_DE2["default"],
  TimePicker: _de_DE3["default"],
  Calendar: _de_DE4["default"],
  Table: {
    filterTitle: 'Filter-Menü',
    filterConfirm: 'OK',
    filterReset: 'Zurücksetzen',
    emptyText: 'Keine Daten',
    selectAll: 'Selektiere Alle',
    selectInvert: 'Selektion Invertieren'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'Abbrechen',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'Abbrechen'
  },
  Transfer: {
    notFoundContent: 'Nicht gefunden',
    searchPlaceholder: 'Suchen',
    itemUnit: 'Eintrag',
    itemsUnit: 'Einträge'
  },
  Select: {
    notFoundContent: 'Nicht gefunden'
  },
  Upload: {
    uploading: 'Hochladen...',
    removeFile: 'Datei entfernen',
    uploadError: 'Fehler beim Hochladen',
    previewFile: 'Dateivorschau'
  },
  Collapse: {
    fold: 'Fold',
    unfold: 'Unfold'
  },
  Notification: {
    total: 'Insgesamt',
    message: 'Nachrichten',
    closeAll: 'Alle schließen'
  }
};
exports["default"] = _default;
//# sourceMappingURL=de_DE.js.map
