"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ja_JP = _interopRequireDefault(require("../rc-components/pagination/locale/ja_JP"));

var _ja_JP2 = _interopRequireDefault(require("../date-picker/locale/ja_JP"));

var _ja_JP3 = _interopRequireDefault(require("../time-picker/locale/ja_JP"));

var _ja_JP4 = _interopRequireDefault(require("../calendar/locale/ja_JP"));

var _ja_JP5 = _interopRequireDefault(require("../rc-components/cascader/locale/ja_JP"));

var _default = {
  locale: 'ja',
  Pagination: _ja_JP["default"],
  DatePicker: _ja_JP2["default"],
  TimePicker: _ja_JP3["default"],
  Calendar: _ja_JP4["default"],
  Cascader: _ja_JP5["default"],
  Table: {
    filterTitle: 'メニューをフィルター',
    filterConfirm: 'OK',
    filterReset: 'リセット',
    emptyText: 'データがありません',
    selectAll: 'すべてを選択',
    selectInvert: '選択を反転'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'キャンセル',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'キャンセル'
  },
  Transfer: {
    notFoundContent: '結果はありません',
    searchPlaceholder: 'ここを検索',
    itemUnit: 'アイテム',
    itemsUnit: 'アイテム'
  },
  Select: {
    notFoundContent: '結果はありません'
  },
  Upload: {
    uploading: 'アップロード中...',
    removeFile: 'ファイルを削除',
    uploadError: 'アップロードエラー',
    previewFile: 'ファイルをプレビュー',
    confirmRemove: '削除を確認しますか？',
    confirmReUpload: '再アップロードしてもよろしいですか？',
    reUpload: '再アップロード'
  },
  Collapse: {
    fold: '折る',
    unfold: '展開する'
  },
  Notification: {
    total: '合計',
    message: 'つのメッセージ',
    closeAll: 'すべて閉じる'
  }
};
exports["default"] = _default;
//# sourceMappingURL=ja_JP.js.map
