"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ku_IQ = _interopRequireDefault(require("../rc-components/pagination/locale/ku_IQ"));

var _ku_IQ2 = _interopRequireDefault(require("../date-picker/locale/ku_IQ"));

var _ku_IQ3 = _interopRequireDefault(require("../time-picker/locale/ku_IQ"));

var _ku_IQ4 = _interopRequireDefault(require("../calendar/locale/ku_IQ"));

var _default = {
  locale: 'ku-iq',
  Pagination: _ku_IQ["default"],
  DatePicker: _ku_IQ2["default"],
  TimePicker: _ku_IQ3["default"],
  Calendar: _ku_IQ4["default"],
  Table: {
    filterTitle: 'Menuê peldanka',
    filterConfirm: 'Temam',
    filterReset: 'Jê bibe',
    emptyText: 'Agahî tune',
    selectAll: 'Hemî hilbijêre',
    selectInvert: 'Hilbijartinan veguhere'
  },
  Modal: {
    okText: 'Temam',
    cancelText: 'Betal ke',
    justOkText: 'Temam'
  },
  Popconfirm: {
    okText: 'Temam',
    cancelText: 'Betal ke'
  },
  Transfer: {
    notFoundContent: 'Peyda Nebû',
    searchPlaceholder: 'Lêgerîn',
    itemUnit: 'tişt',
    itemsUnit: 'tişt'
  },
  Select: {
    notFoundContent: 'Peyda Nebû'
  },
  Upload: {
    uploading: 'Bardike...',
    removeFile: 'Pelê rabike',
    uploadError: 'Xeta barkirine',
    previewFile: 'Pelê pêşbibîne'
  },
  Collapse: {
    fold: 'Fold',
    unfold: 'Unfold'
  }
};
exports["default"] = _default;
//# sourceMappingURL=ku_IQ.js.map
