"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressType = exports.ProgressStatus = exports.ProgressPosition = void 0;
var ProgressType;
exports.ProgressType = ProgressType;

(function (ProgressType) {
  ProgressType["line"] = "line";
  ProgressType["circle"] = "circle";
  ProgressType["dashboard"] = "dashboard";
  ProgressType["loading"] = "loading";
})(ProgressType || (exports.ProgressType = ProgressType = {}));

var ProgressStatus;
exports.ProgressStatus = ProgressStatus;

(function (ProgressStatus) {
  ProgressStatus["normal"] = "normal";
  ProgressStatus["success"] = "success";
  ProgressStatus["active"] = "active";
  ProgressStatus["exception"] = "exception";
})(ProgressStatus || (exports.ProgressStatus = ProgressStatus = {}));

var ProgressPosition;
exports.ProgressPosition = ProgressPosition;

(function (ProgressPosition) {
  ProgressPosition["top"] = "top";
  ProgressPosition["bottom"] = "bottom";
  ProgressPosition["left"] = "left";
  ProgressPosition["right"] = "right";
})(ProgressPosition || (exports.ProgressPosition = ProgressPosition = {}));
//# sourceMappingURL=enum.js.map
