import React, { ReactNode } from 'react';
import { RadioChangeEvent } from './interface';
export interface RadioGroupContext {
    radioGroup?: {
        onChange: (e: RadioChangeEvent) => void;
        value: any;
        disabled?: boolean;
        name?: string;
    };
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface RadioContextProviderProps extends RadioGroupContext {
    children?: ReactNode;
}
declare const RadioContext: React.Context<RadioGroupContext>;
export declare const RadioContextProvider: React.NamedExoticComponent<RadioContextProviderProps>;
export default RadioContext;
