"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _classnames2 = _interopRequireDefault(require("classnames"));

var PanelContent = function PanelContent(props) {
  var _classnames;

  var prefixCls = props.prefixCls,
      isInactive = props.isInactive,
      children = props.children,
      destroyInactivePanel = props.destroyInactivePanel,
      forceRender = props.forceRender,
      role = props.role;
  var isActived = (0, _react.useRef)();
  isActived.current = forceRender || isActived.current || !isInactive;

  if (!isActived.current) {
    return null;
  }

  var contentCls = (0, _classnames2["default"])((_classnames = {}, (0, _defineProperty2["default"])(_classnames, "".concat(prefixCls, "-content"), true), (0, _defineProperty2["default"])(_classnames, "".concat(prefixCls, "-content-active"), !isInactive), (0, _defineProperty2["default"])(_classnames, "".concat(prefixCls, "-content-inactive"), isInactive), _classnames));
  var child = !forceRender && isInactive && destroyInactivePanel ? null : /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-content-box")
  }, children);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: contentCls,
    role: role
  }, child);
};

PanelContent.displayName = 'RcPanelContent';

var _default = /*#__PURE__*/(0, _react.memo)(PanelContent, function (props, nextProps) {
  return !props.forceRender && props.isInactive && nextProps.isInactive;
});

exports["default"] = _default;
//# sourceMappingURL=PanelContent.js.map
