/// <reference types="react" />
export declare type ColumnCount = 1 | 2 | 3 | 4 | 6 | 8 | 12 | 24;
export declare type ColumnType = 'gutter' | 'column' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
export interface SkeletonGridProps {
    prefixCls?: string;
    className?: string;
    style?: object;
    gutter?: number;
    column?: ColumnCount;
    rows?: ColumnCount;
    xs?: ColumnCount;
    sm?: ColumnCount;
    md?: ColumnCount;
    lg?: ColumnCount;
    xl?: ColumnCount;
    xxl?: ColumnCount;
}
declare const Grid: (props: SkeletonGridProps) => JSX.Element;
export default Grid;
