import React from 'react';
import Countdown from './Countdown';
import { FormatConfig, valueType } from './utils';
export interface StatisticProps extends FormatConfig {
    prefixCls?: string;
    className?: string;
    style?: React.CSSProperties;
    value?: valueType;
    valueStyle?: React.CSSProperties;
    valueRender?: (node: React.ReactNode) => React.ReactNode;
    title?: React.ReactNode;
    prefix?: React.ReactNode;
    suffix?: React.ReactNode;
    onMouseEnter?: React.MouseEventHandler<HTMLDivElement>;
    onMouseLeave?: React.MouseEventHandler<HTMLDivElement>;
}
interface CompoundedComponent extends React.ForwardRefExoticComponent<StatisticProps> {
    Countdown: typeof Countdown;
}
declare const Statistic: CompoundedComponent;
export default Statistic;
