import { isValidElement } from 'react';
import { isArrayLike } from 'mobx';
export default function isReactChildren(element) {
  if (element) {
    if (isArrayLike(element)) {
      return element.some(isReactChildren);
    }

    return /*#__PURE__*/isValidElement(element);
  }

  return false;
}
//# sourceMappingURL=isReactChildren.js.map
