import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import omit from 'lodash/omit';
import Attachment from './Attachment';

var Dragger = function Dragger(props) {
  var style = props.style,
      height = props.height,
      children = props.children,
      attachmentChildren = props.attachmentChildren;
  var dragBoxRender = children;
  var omitProps = omit(props, ['children']);
  return /*#__PURE__*/React.createElement(Attachment, _extends({}, omitProps, {
    dragUpload: true,
    dragBoxRender: dragBoxRender,
    style: _objectSpread(_objectSpread({}, style), {}, {
      height: height
    })
  }), attachmentChildren);
};

export default Dragger;
//# sourceMappingURL=Dragger.js.map
