import React, { CSSProperties, ReactElement, JSXElementConstructor } from 'react';
import { TableQueryBarHookCustomProps } from '../table/Table';
import { ButtonProps } from '../button/Button';
import { Buttons } from '../table/interface';
export interface CardContentProps {
    animated?: boolean | undefined;
    animatedWithMargin?: boolean;
    destroyInactiveTabPane?: boolean | undefined;
    queryBarProps?: Partial<TableQueryBarHookCustomProps>;
    style?: CSSProperties | undefined;
    buttons?: ReactElement<ButtonProps, string | JSXElementConstructor<any>>[];
    tableBtns: ReactElement<ButtonProps, string | JSXElementConstructor<any>>[] | Buttons[];
    cardProps?: any;
    buttonsLimit?: number;
}
declare const _default: React.FunctionComponent<CardContentProps>;
export default _default;
