import React, { ReactNode } from 'react';
import { DraggableProvided, DraggableStateSnapshot } from 'react-beautiful-dnd';
import Record from '../../../data-set/Record';
export interface TreeNodeProps {
    renderer?: (record: Record, provided?: DraggableProvided) => ReactNode;
    record: Record;
    index: number;
    records?: Record[];
    suffix?: (record: Record, index: any, records: Record[]) => ReactNode;
    className?: string;
    isLeaf?: boolean;
    hidden?: boolean;
    provided?: DraggableProvided;
    snapshot?: DraggableStateSnapshot;
    children?: ReactNode;
}
declare const _default: React.FunctionComponent<TreeNodeProps>;
export default _default;
