import { FormatNumberFuncOptions, NumberField, NumberFieldProps } from '../number-field/NumberField';
import { FieldType } from '../data-set/enum';
import formatCurrency from '../formatter/formatCurrency';
export interface CurrencyProps<V = number> extends NumberFieldProps<V> {
    currency?: string;
}
export default class Currency extends NumberField<CurrencyProps> {
    static displayName: string;
    static format: typeof formatCurrency;
    /**
     * @deprecated
     */
    static bigNumberFormat: typeof formatCurrency;
    getFieldType(): FieldType;
    getFormatter(): any;
    getFormatOptions(): FormatNumberFuncOptions;
}
