import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
var _excluded = ["children"];
import { Children, cloneElement, isValidElement, PureComponent } from 'react';

var FormVirtualGroup = /*#__PURE__*/function (_PureComponent) {
  _inherits(FormVirtualGroup, _PureComponent);

  var _super = _createSuper(FormVirtualGroup);

  function FormVirtualGroup() {
    _classCallCheck(this, FormVirtualGroup);

    return _super.apply(this, arguments);
  }

  _createClass(FormVirtualGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          otherProps = _objectWithoutProperties(_this$props, _excluded);

      if (children) {
        return Children.map(children, function (child) {
          if ( /*#__PURE__*/isValidElement(child)) {
            return /*#__PURE__*/cloneElement(child, otherProps);
          }

          return child;
        });
      }

      return null;
    }
  }]);

  return FormVirtualGroup;
}(PureComponent);

export { FormVirtualGroup as default };
FormVirtualGroup.displayName = 'FormVirtualGroup';
FormVirtualGroup.__PRO_FORM_VIRTUAL_GROUP = true;
//# sourceMappingURL=FormVirtualGroup.js.map
