import * as React from 'react';
import { DraggableProvided, DraggableStateSnapshot } from 'react-beautiful-dnd';
import { StandardProps } from './common';
export interface RowProps extends StandardProps {
    width?: number;
    height?: number;
    headerHeight?: number;
    top?: number;
    isHeaderRow?: boolean;
    rowDraggable?: boolean;
    rowRef?: React.Ref<any>;
    provided?: DraggableProvided;
    snapshot?: DraggableStateSnapshot;
}
declare class Row extends React.PureComponent<RowProps> {
    static defaultProps: {
        classPrefix: string;
        height: number;
        headerHeight: number;
    };
    render(): JSX.Element;
}
export default Row;
