import React from 'react';
export declare type ToolBarSetting = {
    icon: React.ReactNode;
    tooltip?: string;
    key?: string;
    onClick?: (key?: string) => void;
};
declare type SettingPropType = React.ReactNode | ToolBarSetting;
export declare type ToolBarProps = {
    header?: React.ReactNode;
    toolBarRender?: (props: object) => React.ReactNode[];
    prefixCls?: string;
    className?: string;
    hideToolbar: boolean;
    style?: React.CSSProperties;
    /** 工具栏右侧操作区 */
    buttons?: React.ReactNode[];
    /** 工作栏右侧设置区 */
    settings?: SettingPropType[] | boolean;
};
declare const ToolBar: React.FC<ToolBarProps>;
export default ToolBar;
