/// <reference types="react" />
import { ProgressProps as C7NProgressProps } from '../../../es/progress';
import DataSet from '../data-set/DataSet';
import { FormField } from '../field/FormField';
import { FieldFormat } from '../data-set/enum';
export interface ProgressProps extends C7NProgressProps {
    dataSet?: DataSet;
    name?: string;
    value?: number;
}
export default class Progress extends FormField<ProgressProps & {
    format?: FieldFormat | string;
}> {
    static displayName: string;
    getValue(): number | undefined;
    render(): JSX.Element;
}
