import { Component } from 'react';
import { RichTextToolbarHook, RichTextToolbarHookProps } from '../RichText';
import { RichTextToolbarType } from '../enum';
import DataSet from '../../data-set/DataSet';
export interface RichTextToolbarProps {
    prefixCls?: string;
    id?: string;
    toolbar?: RichTextToolbarType | RichTextToolbarHook;
    dataSet?: DataSet;
}
export default class RichTextToolbar extends Component<RichTextToolbarProps> {
    static displayName: string;
    renderToolBar(props: RichTextToolbarHookProps): JSX.Element;
    render(): {} | null | undefined;
}
