import React from 'react';
import Field from '../../data-set/Field';
interface Group {
    title: string;
    fields: Field[];
}
/**
 * value 勾选字段 + 已有非弹窗内有值的字段
 *
 * groups.fields 弹窗内字段
 */
declare type ComboFieldListProps = {
    closeMenu: () => void;
    value: string[];
    prefixCls: string;
    onSelect: (code: string | string[]) => void;
    onUnSelect: (code: string | string[]) => void;
    groups: Group[];
    fieldsLimit: number;
};
declare const _default: React.NamedExoticComponent<ComboFieldListProps>;
export default _default;
