import React, { memo } from 'react';
export default /*#__PURE__*/memo(function TableButtons(_ref) {
  var prefixCls = _ref.prefixCls,
      buttons = _ref.buttons,
      children = _ref.children;
  var buttonGroup = buttons.length ? /*#__PURE__*/React.createElement("span", {
    className: "".concat(prefixCls, "-toolbar-button-group")
  }, buttons) : null;

  if (buttonGroup || children) {
    return /*#__PURE__*/React.createElement("div", {
      className: "".concat(prefixCls, "-toolbar")
    }, buttonGroup, children);
  }

  return null;
});
//# sourceMappingURL=TableButtons.js.map
