import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _get from "@babel/runtime/helpers/get";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import DatePicker from '../date-picker/DatePicker';
import { ViewMode } from '../date-picker/enum';

var TimePicker = /*#__PURE__*/function (_DatePicker) {
  _inherits(TimePicker, _DatePicker);

  var _super = _createSuper(TimePicker);

  function TimePicker() {
    _classCallCheck(this, TimePicker);

    return _super.apply(this, arguments);
  }

  _createClass(TimePicker, [{
    key: "getWrapperClassNames",
    value: function getWrapperClassNames() {
      var prefixCls = this.prefixCls;
      return _get(_getPrototypeOf(TimePicker.prototype), "getWrapperClassNames", this).call(this, "".concat(prefixCls, "-time-picker-wrapper"));
    }
  }, {
    key: "getLimitWithType",
    value: function getLimitWithType(limit, _minOrMax) {
      return limit;
    }
  }]);

  return TimePicker;
}(DatePicker);

export { TimePicker as default };
TimePicker.displayName = 'TimePicker';
TimePicker.defaultProps = _objectSpread(_objectSpread({}, DatePicker.defaultProps), {}, {
  mode: ViewMode.time
});
//# sourceMappingURL=TimePicker.js.map
