import React from 'react';
import Tooltip from '../../tooltip';

var EllipsisTooltip = function EllipsisTooltip(_ref) {
  var title = _ref.title,
      enabledEllipsis = _ref.enabledEllipsis,
      children = _ref.children;

  if (!title || !enabledEllipsis) {
    return children;
  }

  return /*#__PURE__*/React.createElement(Tooltip, {
    title: title
  }, children);
};

EllipsisTooltip.displayName = 'EllipsisTooltip';
export default EllipsisTooltip;
//# sourceMappingURL=EllipsisTooltip.js.map
