import * as React from 'react';
import { BlockProps } from './interface';
import { FormField, FormFieldProps } from '../field/FormField';
declare const TITLE_ELE_LIST: [1, 2, 3, 4, 5];
export interface TitleProps extends BlockProps, FormFieldProps, Omit<{
    level?: typeof TITLE_ELE_LIST[number];
}, 'strong'> {
    onClick?: (e?: React.MouseEvent<HTMLDivElement>) => void;
}
export default class Title extends FormField<TitleProps> {
    static displayName: string;
    static __PRO_TEXT: boolean;
    static defaultProps: {
        suffixCls: string;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    renderWrapper(): React.ReactNode;
}
export {};
