"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _omit = _interopRequireDefault(require("lodash/omit"));

var _Attachment = _interopRequireDefault(require("./Attachment"));

var Dragger = function Dragger(props) {
  var style = props.style,
      height = props.height,
      children = props.children,
      attachmentChildren = props.attachmentChildren;
  var dragBoxRender = children;
  var omitProps = (0, _omit["default"])(props, ['children']);
  return /*#__PURE__*/_react["default"].createElement(_Attachment["default"], (0, _extends2["default"])({}, omitProps, {
    dragUpload: true,
    dragBoxRender: dragBoxRender,
    style: (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, style), {}, {
      height: height
    })
  }), attachmentChildren);
};

var _default = Dragger;
exports["default"] = _default;
//# sourceMappingURL=Dragger.js.map
