import React, { ReactNode } from 'react';
import { ViewMode } from './enum';
import DataSet from '../data-set';
import { BoardProps, BoardCustomized } from './Board';
import Field from '../data-set/Field';
export declare const GROUPFIELD = "__GROUPFIELD__";
export interface BoardWithContextProps extends BoardProps {
    customizedDS: DataSet;
    setCustomized: (customized: BoardCustomized | undefined | null) => void;
}
export interface viewProps {
    viewId: string;
    viewName?: ReactNode;
    viewMode: ViewMode;
    groupField?: Field;
    viewProps?: object;
}
declare const _default: React.FunctionComponent<BoardWithContextProps>;
export default _default;
