import React, { CSSProperties } from 'react';
import DataSet from '../data-set';
import { KanbanProps } from './Board';
export declare const getBackgroundColor: (isDraggingOver: boolean, isDraggingFrom: boolean) => string;
export declare const getDraggingStyle: (isDraggingOver: boolean, isDraggingFrom: boolean) => object;
export interface KanbanColumnProps {
    prefixCls: string;
    columnId: string;
    className?: string;
    kanbanProps: KanbanProps;
    kanbanDS?: DataSet;
    quotes?: any[];
    header: string;
    groupingBy: string;
    style?: CSSProperties;
}
declare const _default: React.FunctionComponent<KanbanColumnProps>;
export default _default;
