import React, { CSSProperties, ReactElement, JSXElementConstructor } from 'react';
import DataSet from '../data-set';
import { TableQueryBarHookCustomProps } from '../table/Table';
import { ButtonProps } from '../button/Button';
import { KanbanProps } from './Board';
import { Buttons } from '../table/interface';
export interface KanbanContentProps {
    animated?: boolean | undefined;
    animatedWithMargin?: boolean;
    destroyInactiveTabPane?: boolean | undefined;
    queryBarProps?: Partial<TableQueryBarHookCustomProps>;
    style?: CSSProperties | undefined;
    kanbanProps?: KanbanProps;
    dataSet: DataSet;
    buttons?: ReactElement<ButtonProps>[];
    buttonsLimit?: number;
    tableBtns: ReactElement<ButtonProps, string | JSXElementConstructor<any>>[] | Buttons[];
}
declare const _default: React.FunctionComponent<KanbanContentProps>;
export default _default;
