"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonColor = void 0;
Object.defineProperty(exports, "ButtonTooltip", {
  enumerable: true,
  get: function get() {
    return _enum.Tooltip;
  }
});
exports.FuncType = exports.ButtonType = void 0;

var _enum = require("../core/enum");

var ButtonColor;
exports.ButtonColor = ButtonColor;

(function (ButtonColor) {
  ButtonColor["default"] = "default";
  ButtonColor["primary"] = "primary";
  ButtonColor["secondary"] = "secondary";
  ButtonColor["gray"] = "gray";
  ButtonColor["blue"] = "blue";
  ButtonColor["red"] = "red";
  ButtonColor["green"] = "green";
  ButtonColor["yellow"] = "yellow";
  ButtonColor["purple"] = "purple";
  ButtonColor["dark"] = "dark";
})(ButtonColor || (exports.ButtonColor = ButtonColor = {}));

var FuncType;
exports.FuncType = FuncType;

(function (FuncType) {
  FuncType["flat"] = "flat";
  FuncType["raised"] = "raised";
  FuncType["link"] = "link";
})(FuncType || (exports.FuncType = FuncType = {}));

var ButtonType;
exports.ButtonType = ButtonType;

(function (ButtonType) {
  ButtonType["button"] = "button";
  ButtonType["submit"] = "submit";
  ButtonType["reset"] = "reset";
})(ButtonType || (exports.ButtonType = ButtonType = {}));
//# sourceMappingURL=enum.js.map
