"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _noop = _interopRequireDefault(require("lodash/noop"));

var _icon = _interopRequireDefault(require("../icon"));

var _EventManager = require("../_util/EventManager");

var CloseButton = /*#__PURE__*/(0, _react.memo)(function (props) {
  var _props$onClose = props.onClose,
      onClose = _props$onClose === void 0 ? _noop["default"] : _props$onClose,
      value = props.value,
      index = props.index;
  var handleClick = (0, _react.useCallback)(function (e) {
    (0, _EventManager.stopEvent)(e);
    onClose(e, value, index);
  }, [onClose, value, index]);
  return /*#__PURE__*/_react["default"].createElement(_icon["default"], {
    type: "cancel",
    onClick: handleClick,
    onFocus: _EventManager.stopPropagation,
    onMouseDown: _EventManager.stopEvent,
    tabIndex: -1
  });
});
CloseButton.displayName = 'CloseButton';
var _default = CloseButton;
exports["default"] = _default;
//# sourceMappingURL=CloseButton.js.map
