import { FunctionComponent, ReactElement, ReactNode } from 'react';
import { FormFieldProps } from '../field/FormField';
import { Tooltip as LabelTooltip } from '../core/enum';
import { TooltipProps } from '../tooltip/Tooltip';
export interface ItemProps extends FormFieldProps {
    children: ReactElement<FormFieldProps>;
}
export interface LabelProps {
    className?: string;
    children?: ReactNode;
    tooltip?: LabelTooltip | [LabelTooltip, TooltipProps];
    width?: number;
}
export interface IItem extends FunctionComponent<ItemProps> {
    __PRO_FORM_ITEM?: boolean;
}
declare const Item: IItem;
export default Item;
