"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SpacingType = exports.ShowValidation = exports.ResponsiveKeys = exports.LabelLayout = exports.LabelAlign = exports.FormLayout = void 0;
var LabelAlign;
exports.LabelAlign = LabelAlign;

(function (LabelAlign) {
  LabelAlign["left"] = "left";
  LabelAlign["center"] = "center";
  LabelAlign["right"] = "right";
})(LabelAlign || (exports.LabelAlign = LabelAlign = {}));

var LabelLayout;
exports.LabelLayout = LabelLayout;

(function (LabelLayout) {
  LabelLayout["horizontal"] = "horizontal";
  LabelLayout["vertical"] = "vertical";
  LabelLayout["placeholder"] = "placeholder";
  LabelLayout["float"] = "float";
  LabelLayout["none"] = "none";
})(LabelLayout || (exports.LabelLayout = LabelLayout = {}));

var FormLayout;
exports.FormLayout = FormLayout;

(function (FormLayout) {
  FormLayout["table"] = "table";
  FormLayout["none"] = "none";
})(FormLayout || (exports.FormLayout = FormLayout = {}));

var ResponsiveKeys;
exports.ResponsiveKeys = ResponsiveKeys;

(function (ResponsiveKeys) {
  ResponsiveKeys["xs"] = "xs";
  ResponsiveKeys["sm"] = "sm";
  ResponsiveKeys["md"] = "md";
  ResponsiveKeys["lg"] = "lg";
  ResponsiveKeys["xl"] = "xl";
  ResponsiveKeys["xxl"] = "xxl";
})(ResponsiveKeys || (exports.ResponsiveKeys = ResponsiveKeys = {}));

var ShowValidation;
exports.ShowValidation = ShowValidation;

(function (ShowValidation) {
  ShowValidation["tooltip"] = "tooltip";
  ShowValidation["newLine"] = "newLine";
})(ShowValidation || (exports.ShowValidation = ShowValidation = {}));

var SpacingType;
exports.SpacingType = SpacingType;

(function (SpacingType) {
  SpacingType["around"] = "around";
  SpacingType["between"] = "between";
  SpacingType["evenly"] = "evenly";
})(SpacingType || (exports.SpacingType = SpacingType = {}));
//# sourceMappingURL=enum.js.map
