"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "LovFieldType", {
  enumerable: true,
  get: function get() {
    return _enum.LovFieldType;
  }
});
exports.ViewMode = exports.SelectionsPosition = exports.SearchAction = exports.PrefixRule = exports.PopupSearchMode = void 0;

var _enum = require("choerodon-ui/dataset/enum");

var ViewMode;
exports.ViewMode = ViewMode;

(function (ViewMode) {
  ViewMode["default"] = "default";
  ViewMode["button"] = "button";
})(ViewMode || (exports.ViewMode = ViewMode = {}));

var PrefixRule;
exports.PrefixRule = PrefixRule;

(function (PrefixRule) {
  PrefixRule["start"] = "start";
  PrefixRule["end"] = "end";
  PrefixRule["include"] = "include";
})(PrefixRule || (exports.PrefixRule = PrefixRule = {}));

var SearchAction;
exports.SearchAction = SearchAction;

(function (SearchAction) {
  SearchAction["blur"] = "blur";
  SearchAction["input"] = "input";
})(SearchAction || (exports.SearchAction = SearchAction = {}));

var SelectionsPosition;
exports.SelectionsPosition = SelectionsPosition;

(function (SelectionsPosition) {
  SelectionsPosition["side"] = "side";
  SelectionsPosition["below"] = "below";
})(SelectionsPosition || (exports.SelectionsPosition = SelectionsPosition = {}));

var PopupSearchMode;
exports.PopupSearchMode = PopupSearchMode;

(function (PopupSearchMode) {
  PopupSearchMode["single"] = "single";
  PopupSearchMode["multiple"] = "multiple";
})(PopupSearchMode || (exports.PopupSearchMode = PopupSearchMode = {}));
//# sourceMappingURL=enum.js.map
