"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _shared = require("choerodon-ui/shared");

var _translateDOMPositionXY = _interopRequireDefault(require("./utils/translateDOMPositionXY"));

var _isRTL = _interopRequireDefault(require("./utils/isRTL"));

var TableContext = (0, _shared.getContext)(_shared.Symbols.ProPerformanceTableContext, {
  rtl: (0, _isRTL["default"])(),
  hasCustomTreeCol: false,
  isTree: false,
  translateDOMPositionXY: _translateDOMPositionXY["default"],
  tableStore: {}
});
var _default = TableContext;
exports["default"] = _default;
//# sourceMappingURL=TableContext.js.map
