"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = findRowKeys;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

function findRowKeys(rows, rowKey, expanded) {
  var keys = [];

  for (var i = 0; i < rows.length; i++) {
    var item = rows[i];

    if (item.children) {
      // @ts-ignore
      keys.push(item[rowKey]);
      keys = [].concat((0, _toConsumableArray2["default"])(keys), (0, _toConsumableArray2["default"])(findRowKeys(item.children, rowKey)));
    } else if (expanded) {
      // @ts-ignore
      keys.push(item[rowKey]);
    }
  }

  return keys;
}
//# sourceMappingURL=findRowKeys.js.map
