/// <reference types="react" />
import { SkeletonProps as C7nSkeletonProps } from '../../../lib/skeleton';
import DataSetComponent, { DataSetComponentProps } from '../data-set/DataSetComponent';
import SkeletonButton from './Button';
import SkeletonInput from './Input';
import Avatar from './Avatar';
export interface SkeletonProps extends DataSetComponentProps, Omit<C7nSkeletonProps, 'title'> {
    skeletonTitle?: boolean;
}
export default class Skeleton extends DataSetComponent<SkeletonProps> {
    static displayName: string;
    static Button: typeof SkeletonButton;
    static Input: typeof SkeletonInput;
    static Avatar: typeof Avatar;
    static defaultProps: Partial<SkeletonProps>;
    getOmitPropsKeys(): string[];
    render(): JSX.Element;
}
