import React, { CSSProperties, ReactElement, ReactNode } from 'react';
import Record from '../data-set/Record';
import { ColumnProps } from './Column';
import ColumnGroup from './ColumnGroup';
import { Group } from '../data-set/DataSet';
export interface AggregationTreeProps {
    groups?: ColumnGroup[];
    columns?: ColumnProps[];
    record?: Record;
    rowGroup?: Group;
    headerGroup?: Group;
    column: ColumnProps;
    renderer: (props: {
        colGroup: ColumnGroup;
        style?: CSSProperties;
    }) => ReactNode;
    index?: number;
}
declare const ObserverAggregationTree: React.FunctionComponent<AggregationTreeProps>;
export default ObserverAggregationTree;
export declare function groupedAggregationTree(props: AggregationTreeProps): ReactElement<AggregationTreeProps>[];
