import React, { ReactNode } from 'react';
import { DraggableProvided } from 'react-beautiful-dnd';
import Group from 'choerodon-ui/dataset/data-set/Group';
import Record from '../data-set/Record';
import { ElementProps } from '../core/ViewComponent';
import ColumnGroup from './ColumnGroup';
export interface TableVirtualCellProps extends ElementProps {
    columnGroup: ColumnGroup;
    record: Record | undefined;
    rowIndex: number;
    colSpan?: number | undefined;
    isDragging: boolean;
    isDragDisabled?: boolean | ((record?: Record) => boolean);
    isFixedRowHeight?: boolean | undefined;
    provided?: DraggableProvided | undefined;
    disabled?: boolean | undefined;
    groupPath?: [Group, boolean][] | undefined;
    children?: ReactNode | undefined;
    isRenderCell?: boolean;
}
declare const _default: React.FunctionComponent<TableVirtualCellProps>;
export default _default;
