/**
 * 比较符
 * @type {{}}
 */
export declare const OPERATOR: {
    EQUAL: {
        value: string;
        meaning: string;
    };
    NOT_EQUAL: {
        value: string;
        meaning: string;
    };
    GREATER_THAN: {
        value: string;
        meaning: string;
    };
    GREATER_THAN_OR_EQUAL_TO: {
        value: string;
        meaning: string;
    };
    LESS_THAN: {
        value: string;
        meaning: string;
    };
    LESS_THAN_OR_EQUAL_TO: {
        value: string;
        meaning: string;
    };
    IN: {
        value: string;
        meaning: string;
    };
    NOT_IN: {
        value: string;
        meaning: string;
    };
    IS_NULL: {
        value: string;
        meaning: string;
    };
    IS_NOT_NULL: {
        value: string;
        meaning: string;
    };
    FULLY_FUZZY: {
        value: string;
        meaning: string;
    };
    AFTER_FUZZY: {
        value: string;
        meaning: string;
    };
    BEFORE_FUZZY: {
        value: string;
        meaning: string;
    };
    RANGE: {
        value: string;
        meaning: string;
    };
};
/**
 * 操作列表
 * @type {{DATE: *[], NUMBER: *[], LOV: *[], DATETIME: *[], LOOKUP: *[], STRING: *[], BOOLEAN: *[]}}
 */
export declare const OPERATOR_TYPE: {
    STRING: {
        value: string;
        meaning: string;
    }[];
    INTL: {
        value: string;
        meaning: string;
    }[];
    BOOLEAN: {
        value: string;
        meaning: string;
    }[];
    NUMBER: {
        value: string;
        meaning: string;
    }[];
    DATE: {
        value: string;
        meaning: string;
    }[];
    YEAR: {
        value: string;
        meaning: string;
    }[];
    MONTH: {
        value: string;
        meaning: string;
    }[];
    WEEK: {
        value: string;
        meaning: string;
    }[];
    TIME: {
        value: string;
        meaning: string;
    }[];
    DATETIME: {
        value: string;
        meaning: string;
    }[];
    LOV: {
        value: string;
        meaning: string;
    }[];
    LOOKUP: {
        value: string;
        meaning: string;
    }[];
    ALL: {
        value: string;
        meaning: string;
    }[];
};
