"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

function CustomArea(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/_react["default"].createElement("div", null, children);
}

function areEqual(prevProps, nextProps) {
  if (prevProps.targetOption || nextProps.targetOption) {
    if (prevProps.targetOption.length !== nextProps.targetOption.length) {
      return false;
    }

    var newTarget = nextProps.targetOption.map(function (record) {
      return record.id;
    });
    var preTarget = prevProps.targetOption.map(function (record) {
      return record.id;
    });
    return newTarget.every(function (v, i) {
      return v === preTarget[i];
    });
  }

  return true;
}

var _default = /*#__PURE__*/_react["default"].memo(CustomArea, areEqual);

exports["default"] = _default;
//# sourceMappingURL=CustomArea.js.map
