import { FormEventHandler, ReactNode } from 'react';
export interface TransferOperationProps {
    className?: string;
    leftArrowText?: string | ReactNode;
    rightArrowText?: string | ReactNode;
    moveToLeft?: FormEventHandler<any>;
    moveToRight?: FormEventHandler<any>;
    leftActive?: boolean;
    rightActive?: boolean;
    multiple?: boolean;
    oneWay?: boolean;
}
export default function TransferOperation(props: TransferOperationProps): JSX.Element | null;
