import { ReactNode } from 'react';
export interface EllipsisProps {
    enabledMeasure?: boolean;
    text?: ReactNode;
    width: number;
    rows: number;
    children: (cutChildren: ReactNode[], needEllipsis: boolean) => ReactNode;
    onEllipsis: (isEllipsis: boolean) => void;
}
declare const Ellipsis: {
    ({ enabledMeasure, children, text, width, rows, onEllipsis }: EllipsisProps): JSX.Element;
    displayName: string;
};
export default Ellipsis;
