"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _tooltip = _interopRequireDefault(require("../../tooltip"));

var EllipsisTooltip = function EllipsisTooltip(_ref) {
  var title = _ref.title,
      enabledEllipsis = _ref.enabledEllipsis,
      children = _ref.children;

  if (!title || !enabledEllipsis) {
    return children;
  }

  return /*#__PURE__*/_react["default"].createElement(_tooltip["default"], {
    title: title
  }, children);
};

EllipsisTooltip.displayName = 'EllipsisTooltip';
var _default = EllipsisTooltip;
exports["default"] = _default;
//# sourceMappingURL=EllipsisTooltip.js.map
