import React, { ForwardRefExoticComponent, PropsWithoutRef, RefAttributes } from 'react';
export interface TypographyProps {
    id?: string;
    prefixCls?: string;
    suffixCls?: string;
    className?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
    component?: string;
    setContentRef?: (node: HTMLElement) => void;
    ['aria-label']?: string;
}
export interface ITypographyProps extends ForwardRefExoticComponent<PropsWithoutRef<TypographyProps> & RefAttributes<HTMLElement>> {
    __PRO_TYPOGRAPHY?: boolean;
}
declare const Typography: ITypographyProps;
export default Typography;
