/// <reference types="react" />
import { FormField, FormFieldProps } from '../field/FormField';
import { UploadFile } from './interface';
export interface UploadListProps extends FormFieldProps {
    items: UploadFile[];
    showPreviewImage: boolean;
    previewImageWidth: number;
    remove: (file: UploadFile) => void;
}
export default class UploadList extends FormField<UploadListProps> {
    static displayName: string;
    static defaultProps: {
        suffixCls: string;
        items: never[];
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    render(): JSX.Element;
}
