"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultValidationMessageFormatter = defaultValidationMessageFormatter;
exports.defaultValidationMessageReportFormatter = defaultValidationMessageReportFormatter;

var _formatter = require("../formatter");

function defaultValidationMessageFormatter(message, injectOptons) {
  if (message && injectOptons) {
    return (0, _formatter.formatTemplate)(message, injectOptons);
  }

  return message;
}

function defaultValidationMessageReportFormatter(_) {
  return undefined;
}
//# sourceMappingURL=ValidationMessageReportFormatter.js.map
