import React, { ReactNode } from 'react';
import { C7NAnchor } from './Anchor';
export interface AnchorContextValue {
    c7nAnchor?: C7NAnchor;
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface AnchorContextProviderProps extends AnchorContextValue {
    children?: ReactNode;
}
declare const AnchorContext: React.Context<AnchorContextValue>;
export declare const AnchorContextProvider: React.NamedExoticComponent<AnchorContextProviderProps>;
export default AnchorContext;
