import React, { ReactNode } from 'react';
import { Size } from '../_util/enum';
export interface AvatarContextValue {
    size?: Size | number;
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface AvatarContextProviderProps extends AvatarContextValue {
    children?: ReactNode;
}
declare const AvatarContext: React.Context<AvatarContextValue>;
export declare const AvatarContextProvider: React.NamedExoticComponent<AvatarContextProviderProps>;
export default AvatarContext;
