import { ForwardRefExoticComponent, PropsWithoutRef, RefAttributes } from 'react';
import { IconBaseProps } from './Icon';
export interface CustomIconOptions {
    scriptUrl?: string | string[];
    extraCommonProps?: {
        [key: string]: any;
    };
}
export interface IconFontProps extends IconBaseProps {
    type: string;
}
export interface IIconFont extends ForwardRefExoticComponent<PropsWithoutRef<IconFontProps> & RefAttributes<HTMLSpanElement>> {
    __C7N_ICON?: boolean;
}
export default function create(options?: CustomIconOptions): IIconFont;
