import { CSSProperties, FocusEventHandler, MouseEventHandler } from 'react';
import createFromIconfontCN from './IconFont';
export interface IconProps {
    type: string;
    className?: string;
    title?: string;
    customFontName?: string;
    onClick?: MouseEventHandler<any>;
    onFocus?: FocusEventHandler<any>;
    onMouseDown?: MouseEventHandler<any>;
    onMouseUp?: MouseEventHandler<any>;
    onMouseEnter?: MouseEventHandler<any>;
    onMouseLeave?: MouseEventHandler<any>;
    style?: CSSProperties;
    tabIndex?: number;
    width?: number | string;
    height?: number | string;
    scriptUrl?: string;
}
declare const Icon: {
    (props: IconProps): JSX.Element;
    displayName: string;
    createFromIconfontCN: typeof createFromIconfontCN;
    __C7N_ICON: boolean;
};
export default Icon;
