import React, { ReactNode } from 'react';
import { ListGridType } from './index';
export interface ListContextValue {
    grid?: ListGridType;
    getPrefixCls(suffixCls: string, customizePrefixCls?: string): string;
}
export interface ListContextProviderProps extends ListContextValue {
    children?: ReactNode;
}
declare const ListContext: React.Context<ListContextValue>;
export declare const ListContextProvider: React.NamedExoticComponent<ListContextProviderProps>;
export default ListContext;
