declare const _default: {
    locale: string;
    Pagination: any;
    DatePicker: {
        lang: any;
        timePickerLocale: {
            placeholder: string;
        };
    };
    TimePicker: {
        placeholder: string;
    };
    Calendar: {
        lang: any;
        timePickerLocale: {
            placeholder: string;
        };
    };
    Cascader: any;
    Table: {
        filterTitle: string;
        filterConfirm: string;
        filterReset: string;
        emptyText: string;
        selectAll: string;
        selectInvert: string;
    };
    Modal: {
        okText: string;
        cancelText: string;
        justOkText: string;
    };
    Popconfirm: {
        okText: string;
        cancelText: string;
    };
    Transfer: {
        notFoundContent: string;
        searchPlaceholder: string;
        itemUnit: string;
        itemsUnit: string;
    };
    Select: {
        notFoundContent: string;
    };
    Upload: {
        uploading: string;
        removeFile: string;
        uploadError: string;
        previewFile: string;
        confirmRemove: string;
        confirmReUpload: string;
        reUpload: string;
    };
    Collapse: {
        fold: string;
        unfold: string;
    };
    imageCrop: {
        editImage: string;
        avatarUploadError: string;
        avatarServerError: string;
        avatarUpload: string;
        avatarReminder: string;
        preview: string;
        reUpload: string;
        imageTooLarge: string;
        imageUploadError: string;
        imageDragHere: string;
        pleaseUpload: string;
        uploadType: string;
        picture: string;
        cancelButton: string;
        saveButton: string;
        changeAvatar: string;
    };
    PerformanceTable: {
        emptyMessage: string;
        loading: string;
    };
    Notification: {
        total: string;
        message: string;
        closeAll: string;
    };
};
export default _default;
