import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import Modal from './Modal';
import confirm from './confirm';
import Sidebar from './Sidebar';

Modal.info = function (props) {
  var config = _objectSpread({
    type: 'info',
    okCancel: false
  }, props);

  return confirm(config);
};

Modal.success = function (props) {
  var config = _objectSpread({
    type: 'success',
    iconType: 'check_circle',
    okCancel: false
  }, props);

  return confirm(config);
};

Modal.error = function (props) {
  var config = _objectSpread({
    type: 'error',
    iconType: 'error',
    okCancel: false
  }, props);

  return confirm(config);
};

Modal.warn = function (props) {
  var config = _objectSpread({
    type: 'warning',
    iconType: 'warning',
    okCancel: false
  }, props);

  return confirm(config);
};

Modal.warning = Modal.warn;

Modal.confirm = function (props) {
  var config = _objectSpread({
    type: 'confirm',
    okCancel: true
  }, props);

  return confirm(config);
};

Modal.Sidebar = Sidebar;
export default Modal;
//# sourceMappingURL=index.js.map
