import { CSSProperties, FunctionComponent, Key, ReactNode } from 'react';
export interface NoticeProps {
    key?: Key;
    eventKey?: Key;
    onClose?: (eventKey?: Key) => void;
    duration?: number;
    prefixCls?: string;
    className?: string;
    contentClassName?: string;
    closable?: boolean;
    style?: CSSProperties;
    children?: ReactNode;
    closeIcon?: ReactNode;
    foldable?: Boolean;
    offset?: number;
    scrollHeight?: string | number;
    totalHeight?: number;
}
declare const Notice: FunctionComponent<NoticeProps>;
declare const MemoNotice: typeof Notice;
export default MemoNotice;
