import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import defaultLocale from '../locale-provider/default';

var runtimeLocale = _objectSpread({}, defaultLocale.Notification);

export function changeNoticeLocale(newLocale) {
  if (newLocale) {
    runtimeLocale = _objectSpread(_objectSpread({}, runtimeLocale), newLocale);
  } else {
    runtimeLocale = _objectSpread({}, defaultLocale.Notification);
  }
}
export function getNoticeLocale() {
  return runtimeLocale;
}
//# sourceMappingURL=locale.js.map
