import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["children"];
import React, { memo } from 'react';
import { getContext, Symbols } from 'choerodon-ui/shared';
var TableContext = getContext(Symbols.TableContext, {});

var BaseTableContextProvider = function BaseTableContextProvider(props) {
  var children = props.children,
      value = _objectWithoutProperties(props, _excluded);

  return /*#__PURE__*/React.createElement(TableContext.Provider, {
    value: value
  }, children);
};

BaseTableContextProvider.displayName = 'TableContextProvider';
export var TableContextProvider = /*#__PURE__*/memo(BaseTableContextProvider);
export default TableContext;
//# sourceMappingURL=TableContext.js.map
