import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React, { Component } from 'react';
import LazyRenderBox from './LazyRenderBox';

var PopupInner = /*#__PURE__*/function (_Component) {
  _inherits(PopupInner, _Component);

  var _super = _createSuper(PopupInner);

  function PopupInner() {
    _classCallCheck(this, PopupInner);

    return _super.apply(this, arguments);
  }

  _createClass(PopupInner, [{
    key: "render",
    value: function render() {
      var props = this.props;
      var className = props.className;

      if (props.hidden) {
        className += " ".concat(props.hiddenClassName);
      }

      return /*#__PURE__*/React.createElement("div", {
        className: className,
        onMouseEnter: props.onMouseEnter,
        onMouseLeave: props.onMouseLeave,
        style: props.style,
        ref: props.innerRef
      }, /*#__PURE__*/React.createElement(LazyRenderBox, {
        className: "".concat(props.prefixCls, "-content"),
        hidden: props.hidden
      }, props.children));
    }
  }]);

  return PopupInner;
}(Component);

_defineProperty(PopupInner, "displayName", 'RcPopupInner');

export { PopupInner as default };
//# sourceMappingURL=PopupInner.js.map
