import React from 'react';
export declare type ResultStatusType = 403 | 404 | 500 | '403' | '404' | '500' | 'success' | 'error' | 'info' | 'warning' | string;
export declare type StatusRenderer = object;
export interface ResultProps {
    icon?: React.ReactNode;
    status?: ResultStatusType;
    title?: React.ReactNode;
    subTitle?: React.ReactNode;
    extra?: React.ReactNode;
    prefixCls?: string;
    className?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
    statusRenderer?: StatusRenderer;
}
declare const Result: {
    (props: ResultProps): JSX.Element;
    defaultProps: {
        status: string;
    };
};
export default Result;
