import { DetailedHTMLProps, ForwardRefExoticComponent, HTMLAttributes, PropsWithoutRef, RefAttributes } from 'react';
export interface TabBarInnerProps extends DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement> {
    tabKey: string;
    onTabClick?: (key: string) => void;
}
declare const TabBarInner: ForwardRefExoticComponent<PropsWithoutRef<TabBarInnerProps> & RefAttributes<HTMLDivElement>>;
export default TabBarInner;
