import React, { Component, CSSProperties, ReactNode } from 'react';
import ConfigContext, { ConfigContextValue } from '../config-provider/ConfigContext';
export interface TimelineProps {
    prefixCls?: string;
    spinPrefixCls?: string;
    className?: string;
    /** 指定最后一个幽灵节点是否存在或内容 */
    pending?: ReactNode;
    pendingDot?: ReactNode;
    style?: CSSProperties;
    reverse?: boolean;
    children?: ReactNode;
}
export default class Timeline extends Component<TimelineProps, any> {
    static displayName: string;
    static get contextType(): typeof ConfigContext;
    static Item: React.FunctionComponent<import("./TimelineItem").TimeLineItemProps>;
    context: ConfigContextValue;
    render(): JSX.Element;
}
