import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["innerRef", "onResize"];
import React from 'react';
import ReactResizeObserver from '../_util/resizeObserver';

var PopupInner = function PopupInner(_ref) {
  var innerRef = _ref.innerRef,
      onResize = _ref.onResize,
      props = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(ReactResizeObserver, {
    onResize: onResize
  }, /*#__PURE__*/React.createElement("div", _extends({}, props, {
    ref: innerRef
  })));
};

export default PopupInner;
//# sourceMappingURL=PopupInner.js.map
