import { PureComponent, ReactElement } from 'react';
export declare type hook = (eventName: string, child: ReactElement<any>, e: any) => void;
export interface TriggerChildProps {
    onContextMenu?: hook;
    onClick?: hook;
    onMouseDown?: hook;
    onMouseEnter?: hook;
    onMouseLeave?: hook;
    onFocus?: hook;
    onBlur?: hook;
    isClickScrollbar?: {
        value: boolean | undefined;
    };
    popupHidden?: boolean;
}
export default class TriggerChild extends PureComponent<TriggerChildProps> {
    static displayName: string;
    handleContextMenu: any;
    handleClick: any;
    handleMouseDown: any;
    handleMouseEnter: any;
    handleMouseLeave: any;
    handleFocus: any;
    handleBlur: any;
    handleKeyDown: any;
    constructor(props: any, context: any);
    render(): ReactElement<any, string | ((props: any) => ReactElement<any, any> | null) | (new (props: any) => import("react").Component<any, any, any>)>;
}
