"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PresetStatusColorTypes = exports.PresetColorTypes = void 0;
exports.isPresetColor = isPresetColor;

var _type = require("./type");

var PresetStatusColorTypes = (0, _type.tuple)('success', 'processing', 'error', 'default', 'warning'); // eslint-disable-next-line import/prefer-default-export

exports.PresetStatusColorTypes = PresetStatusColorTypes;
var PresetColorTypes = (0, _type.tuple)('pink', 'red', 'yellow', 'orange', 'cyan', 'green', 'blue', 'purple', 'geekblue', 'magenta', 'volcano', 'gold', 'lime', 'dark', 'gray'); // eslint-disable-next-line import/prefer-default-export

exports.PresetColorTypes = PresetColorTypes;

function isPresetColor(color) {
  color = color ? color.replace(/(-inverse$)/g, '') : color;
  return PresetColorTypes.indexOf(color) !== -1;
}
//# sourceMappingURL=colors.js.map
