import React, { MouseEventHandler, ReactNode } from 'react';
import { DropDownProps } from '../dropdown';
import { ListProps } from '../list';
export interface menuListItemProps {
    href?: string;
    listItemName?: string;
    listChildren?: ({ listItemName, href }: {
        listItemName: string;
        href: string;
    }) => ReactNode;
    onClick?: MouseEventHandler<HTMLAnchorElement | HTMLSpanElement>;
}
export interface BreadcrumbItemProps {
    prefixCls?: string;
    separator?: ReactNode;
    href?: string;
    overlay?: DropDownProps['overlay'];
    dropdownProps?: Partial<DropDownProps>;
    listProps?: Partial<ListProps>;
    menuList?: menuListItemProps[];
    onClick?: MouseEventHandler<HTMLAnchorElement | HTMLSpanElement>;
    children?: ReactNode;
}
declare const _default: React.NamedExoticComponent<BreadcrumbItemProps>;
export default _default;
