"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _shared = require("choerodon-ui/shared");

var _utils = require("../configure/utils");

var _TooltipUtils = require("../_util/TooltipUtils");

var ConfigContext = (0, _shared.getContext)(_shared.Symbols.ConfigContext, {
  getConfig: _utils.getConfig,
  getPrefixCls: _utils.getPrefixCls,
  getProPrefixCls: _utils.getProPrefixCls,
  getCustomizable: _utils.getCustomizable,
  getTooltip: _TooltipUtils.getTooltip,
  getTooltipTheme: _TooltipUtils.getTooltipTheme,
  getTooltipPlacement: _TooltipUtils.getTooltipPlacement
});
var _default = ConfigContext;
exports["default"] = _default;
//# sourceMappingURL=ConfigContext.js.map
