import React, { MouseEventHandler } from 'react';
import { ButtonProps } from '../button';
import { ButtonGroupProps } from '../button/ButtonGroup';
import { DropDownProps } from './dropdown';
export interface DropdownButtonProps extends ButtonGroupProps, DropDownProps {
    type?: 'primary' | 'ghost' | 'dashed';
    disabled?: boolean;
    onClick?: MouseEventHandler<any>;
    children?: any;
    buttonProps?: ButtonProps;
    buttonGroupPrefixCls?: string;
}
declare const _default: React.NamedExoticComponent<DropdownButtonProps>;
export default _default;
