import React, { HTMLAttributes } from 'react';
export interface ColSize {
    span?: number;
    order?: number;
    offset?: number;
    push?: number;
    pull?: number;
}
export interface ColProps extends HTMLAttributes<HTMLDivElement> {
    span?: number | string;
    order?: number | string;
    offset?: number | string;
    push?: number | string;
    pull?: number | string;
    xs?: number | ColSize;
    sm?: number | ColSize;
    md?: number | ColSize;
    lg?: number | ColSize;
    xl?: number | ColSize;
    xxl?: number | ColSize;
    prefixCls?: string;
}
declare const _default: React.NamedExoticComponent<ColProps>;
export default _default;
