"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _fr_FR = _interopRequireDefault(require("../rc-components/pagination/locale/fr_FR"));

var _fr_FR2 = _interopRequireDefault(require("../date-picker/locale/fr_FR"));

var _fr_FR3 = _interopRequireDefault(require("../time-picker/locale/fr_FR"));

var _fr_FR4 = _interopRequireDefault(require("../calendar/locale/fr_FR"));

var _default = {
  locale: 'fr',
  Pagination: _fr_FR["default"],
  DatePicker: _fr_FR2["default"],
  TimePicker: _fr_FR3["default"],
  Calendar: _fr_FR4["default"],
  Table: {
    filterTitle: 'Filtrer',
    filterConfirm: 'OK',
    filterReset: 'Réinitialiser',
    emptyText: 'Aucune donnée'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'Annuler',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'Annuler'
  },
  Transfer: {
    notFoundContent: 'Pas de résultat',
    searchPlaceholder: 'Recherche',
    itemUnit: 'élément',
    itemsUnit: 'éléments'
  },
  Select: {
    notFoundContent: 'Pas de résultat'
  },
  Notification: {
    total: 'Un total de',
    message: 'messages',
    closeAll: 'Ferme tout'
  }
};
exports["default"] = _default;
//# sourceMappingURL=fr_FR.js.map
