"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _nb_NO = _interopRequireDefault(require("../rc-components/pagination/locale/nb_NO"));

var _nb_NO2 = _interopRequireDefault(require("../date-picker/locale/nb_NO"));

var _nb_NO3 = _interopRequireDefault(require("../time-picker/locale/nb_NO"));

var _nb_NO4 = _interopRequireDefault(require("../calendar/locale/nb_NO"));

var _default = {
  locale: 'nb',
  DatePicker: _nb_NO2["default"],
  TimePicker: _nb_NO3["default"],
  Calendar: _nb_NO4["default"],
  Pagination: _nb_NO["default"],
  Table: {
    filterTitle: 'Filtermeny',
    filterConfirm: 'OK',
    filterReset: 'Nullstill',
    emptyText: 'Ingen data',
    selectAll: 'Velg alle',
    selectInvert: 'Inverter valg'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'Avbryt',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'Avbryt'
  },
  Transfer: {
    notFoundContent: 'Ingen treff',
    searchPlaceholder: 'Søk her',
    itemUnit: 'element',
    itemsUnit: 'elementer'
  },
  Select: {
    notFoundContent: 'Ingen treff'
  },
  Upload: {
    uploading: 'Laster opp...',
    removeFile: 'Fjern fil',
    uploadError: 'Feil ved opplastning',
    previewFile: 'Forhåndsvisning'
  },
  Collapse: {
    fold: 'Fold',
    unfold: 'Unfold'
  },
  Notification: {
    total: 'Totalt',
    message: 'meldinger',
    closeAll: 'Lukk alle'
  }
};
exports["default"] = _default;
//# sourceMappingURL=nb_NO.js.map
