"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _nl_NL = _interopRequireDefault(require("../rc-components/pagination/locale/nl_NL"));

var _nl_NL2 = _interopRequireDefault(require("../date-picker/locale/nl_NL"));

var _nl_NL3 = _interopRequireDefault(require("../time-picker/locale/nl_NL"));

var _nl_NL4 = _interopRequireDefault(require("../calendar/locale/nl_NL"));

var _default = {
  locale: 'nl',
  Pagination: _nl_NL["default"],
  DatePicker: _nl_NL2["default"],
  TimePicker: _nl_NL3["default"],
  Calendar: _nl_NL4["default"],
  Table: {
    filterTitle: 'Filteren',
    filterConfirm: 'OK',
    filterReset: 'Reset',
    emptyText: 'Geen gegevens',
    selectAll: 'Selecteer huidige pagina',
    selectInvert: 'Deselecteer huidige pagina'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'Annuleren',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'Annuleren'
  },
  Transfer: {
    notFoundContent: 'Niet gevonden',
    searchPlaceholder: 'Zoeken',
    itemUnit: 'item',
    itemsUnit: 'items'
  },
  Select: {
    notFoundContent: 'Niet gevonden'
  },
  Upload: {
    uploading: 'Uploaden...',
    removeFile: 'Verwijder bestand',
    uploadError: 'Fout tijdens uploaden',
    previewFile: 'Bekijk bestand'
  },
  Collapse: {
    fold: 'Fold',
    unfold: 'Unfold'
  },
  Notification: {
    total: 'In totaal',
    message: 'berichten',
    closeAll: 'Sluit alles'
  }
};
exports["default"] = _default;
//# sourceMappingURL=nl_NL.js.map
