"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _pt_PT = _interopRequireDefault(require("../rc-components/pagination/locale/pt_PT"));

var _pt_PT2 = _interopRequireDefault(require("../date-picker/locale/pt_PT"));

var _pt_PT3 = _interopRequireDefault(require("../time-picker/locale/pt_PT"));

var _pt_PT4 = _interopRequireDefault(require("../calendar/locale/pt_PT"));

var _default = {
  locale: 'pt',
  Pagination: _pt_PT["default"],
  DatePicker: _pt_PT2["default"],
  TimePicker: _pt_PT3["default"],
  Calendar: _pt_PT4["default"],
  Table: {
    filterTitle: 'Filtro',
    filterConfirm: 'Aplicar',
    filterReset: 'Reiniciar',
    emptyText: 'Sem resultados',
    selectAll: 'Selecionar página atual',
    selectInvert: 'Inverter seleção'
  },
  Modal: {
    okText: 'OK',
    cancelText: 'Cancelar',
    justOkText: 'OK'
  },
  Popconfirm: {
    okText: 'OK',
    cancelText: 'Cancelar'
  },
  Transfer: {
    notFoundContent: 'Sem resultados',
    searchPlaceholder: 'Procurar...',
    itemUnit: 'item',
    itemsUnit: 'itens'
  },
  Select: {
    notFoundContent: 'Sem resultados'
  },
  Upload: {
    uploading: 'A carregar...',
    removeFile: 'Remover',
    uploadError: 'Erro ao carregar',
    previewFile: 'Pré-visualizar'
  },
  Collapse: {
    fold: 'Fold',
    unfold: 'Unfold'
  },
  Notification: {
    total: 'Um total de',
    message: 'mensagens',
    closeAll: 'Feche tudo'
  }
};
exports["default"] = _default;
//# sourceMappingURL=pt_PT.js.map
