"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _zh_CN = _interopRequireDefault(require("../rc-components/pagination/locale/zh_CN"));

var _zh_CN2 = _interopRequireDefault(require("../date-picker/locale/zh_CN"));

var _zh_CN3 = _interopRequireDefault(require("../time-picker/locale/zh_CN"));

var _zh_CN4 = _interopRequireDefault(require("../calendar/locale/zh_CN"));

var _zh_CN5 = _interopRequireDefault(require("../rc-components/cascader/locale/zh_CN"));

var _default = {
  locale: 'zh-cn',
  Pagination: _zh_CN["default"],
  DatePicker: _zh_CN2["default"],
  TimePicker: _zh_CN3["default"],
  Calendar: _zh_CN4["default"],
  Cascader: _zh_CN5["default"],
  Table: {
    filterTitle: '筛选',
    filterConfirm: '确定',
    filterReset: '重置',
    emptyText: '暂无数据',
    selectAll: '全选当页',
    selectInvert: '反选当页'
  },
  Modal: {
    okText: '确定',
    cancelText: '取消',
    justOkText: '确定'
  },
  Popconfirm: {
    cancelText: '取消',
    okText: '确定'
  },
  Transfer: {
    notFoundContent: '无匹配结果',
    searchPlaceholder: '请输入搜索内容',
    itemUnit: '项',
    itemsUnit: '项'
  },
  Select: {
    notFoundContent: '无匹配结果',
    selectAll: '全选',
    selectNone: '无',
    filterPlaceholder: '输入文字以进行过滤'
  },
  Upload: {
    uploading: '文件上传中',
    removeFile: '删除文件',
    uploadError: '上传错误',
    previewFile: '预览文件',
    confirmRemove: '确认删除？',
    confirmReUpload: '确认重新上传？',
    reUpload: '重新上传'
  },
  Collapse: {
    fold: '收起',
    unfold: '展开'
  },
  imageCrop: {
    editImage: '编辑图片',
    avatarUploadError: '头像上传失败',
    avatarServerError: '服务器错误',
    avatarUpload: '头像上传',
    avatarReminder: '您可以在此裁剪、旋转图片，然后点击“保存”完成头像的修改',
    preview: '预览',
    reUpload: '重新上传',
    imageTooLarge: '图片过大，请重新上传',
    imageUploadError: '图片上传错误',
    imageDragHere: '图片请拖拽到这里',
    pleaseUpload: '请上传，小于',
    uploadType: '文件类型为',
    picture: '的图片',
    cancelButton: '取消',
    saveButton: '保存',
    changeAvatar: '修改头像'
  },
  PerformanceTable: {
    emptyMessage: '暂无数据',
    loading: '加载中...'
  },
  Notification: {
    total: '共',
    message: '条信息',
    closeAll: '关闭全部'
  }
};
exports["default"] = _default;
//# sourceMappingURL=zh_CN.js.map
