"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));

var _react = _interopRequireWildcard(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

var _rate = _interopRequireDefault(require("../rc-components/rate"));

var _ConfigContext = _interopRequireDefault(require("../config-provider/ConfigContext"));

var Rate = /*#__PURE__*/function (_Component) {
  (0, _inherits2["default"])(Rate, _Component);

  var _super = (0, _createSuper2["default"])(Rate);

  function Rate() {
    var _this;

    (0, _classCallCheck2["default"])(this, Rate);
    _this = _super.apply(this, arguments);

    _this.saveRate = function (node) {
      _this.rcRate = node;
    };

    return _this;
  }

  (0, _createClass2["default"])(Rate, [{
    key: "focus",
    value: function focus() {
      this.rcRate.focus();
    }
  }, {
    key: "blur",
    value: function blur() {
      this.rcRate.blur();
    }
  }, {
    key: "render",
    value: function render() {
      var getPrefixCls = this.context.getPrefixCls;
      return /*#__PURE__*/_react["default"].createElement(_rate["default"], (0, _extends2["default"])({
        ref: this.saveRate,
        prefixCls: getPrefixCls('rate')
      }, this.props));
    }
  }], [{
    key: "contextType",
    get: function get() {
      return _ConfigContext["default"];
    }
  }]);
  return Rate;
}(_react.Component);

exports["default"] = Rate;
Rate.displayName = 'Rate';
Rate.defaultProps = {
  character: /*#__PURE__*/_react["default"].createElement(_icon["default"], {
    type: "star"
  })
};
//# sourceMappingURL=index.js.map
