"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var Divider = function Divider(props) {
  var _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      rootPrefixCls = props.rootPrefixCls;
  return /*#__PURE__*/_react["default"].createElement("li", {
    className: "".concat(className, " ").concat(rootPrefixCls, "-item-divider")
  });
};

Divider.displayName = 'Divider';
Divider.defaultProps = {
  disabled: true
};
var _default = Divider;
exports["default"] = _default;
//# sourceMappingURL=Divider.js.map
