"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));

var _react = _interopRequireDefault(require("react"));

/* eslint-disable react/prop-types */
var Track = function Track(props) {
  var className = props.className,
      included = props.included,
      vertical = props.vertical,
      offset = props.offset,
      length = props.length,
      style = props.style;
  var positonStyle = vertical ? {
    bottom: "".concat(offset, "%"),
    height: "".concat(length, "%")
  } : {
    left: "".concat(offset, "%"),
    width: "".concat(length, "%")
  };
  var elStyle = (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, style), positonStyle);
  return included ? /*#__PURE__*/_react["default"].createElement("div", {
    className: className,
    style: elStyle
  }) : null;
};

var _default = Track;
exports["default"] = _default;
//# sourceMappingURL=Track.js.map
