"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.TableContextProvider = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _shared = require("choerodon-ui/shared");

var _excluded = ["children"];
var TableContext = (0, _shared.getContext)(_shared.Symbols.TableContext, {});

var BaseTableContextProvider = function BaseTableContextProvider(props) {
  var children = props.children,
      value = (0, _objectWithoutProperties2["default"])(props, _excluded);
  return /*#__PURE__*/_react["default"].createElement(TableContext.Provider, {
    value: value
  }, children);
};

BaseTableContextProvider.displayName = 'TableContextProvider';
var TableContextProvider = /*#__PURE__*/(0, _react.memo)(BaseTableContextProvider);
exports.TableContextProvider = TableContextProvider;
var _default = TableContext;
exports["default"] = _default;
//# sourceMappingURL=TableContext.js.map
