import React, { Key, MutableRefObject, ReactElement } from 'react';
import { ListRef } from 'rc-virtual-list';
import { FlattenNode } from './interface';
import { MotionTreeNodeProps } from './MotionTreeNode';
export interface ListProps {
    data: FlattenNode[];
    prefixCls: string;
    children: (item: FlattenNode) => ReactElement<MotionTreeNodeProps>;
    height?: number;
    itemKey: (item: FlattenNode) => Key;
    ref?: MutableRefObject<ListRef> | null;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<ListProps, "data" | "height" | "children" | "prefixCls" | "itemKey"> & React.RefAttributes<ListRef>>>;
export default _default;
