"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _LazyRenderBox = _interopRequireDefault(require("./LazyRenderBox"));

var PopupInner = /*#__PURE__*/function (_Component) {
  (0, _inherits2["default"])(PopupInner, _Component);

  var _super = (0, _createSuper2["default"])(PopupInner);

  function PopupInner() {
    (0, _classCallCheck2["default"])(this, PopupInner);
    return _super.apply(this, arguments);
  }

  (0, _createClass2["default"])(PopupInner, [{
    key: "render",
    value: function render() {
      var props = this.props;
      var className = props.className;

      if (props.hidden) {
        className += " ".concat(props.hiddenClassName);
      }

      return /*#__PURE__*/_react["default"].createElement("div", {
        className: className,
        onMouseEnter: props.onMouseEnter,
        onMouseLeave: props.onMouseLeave,
        style: props.style,
        ref: props.innerRef
      }, /*#__PURE__*/_react["default"].createElement(_LazyRenderBox["default"], {
        className: "".concat(props.prefixCls, "-content"),
        hidden: props.hidden
      }, props.children));
    }
  }]);
  return PopupInner;
}(_react.Component);

exports["default"] = PopupInner;
(0, _defineProperty2["default"])(PopupInner, "displayName", 'RcPopupInner');
//# sourceMappingURL=PopupInner.js.map
