import React, { ReactNode } from 'react';
export declare type CountRendererProps = {
    text: ReactNode;
    count: number | undefined;
    overflowCount: number | undefined;
};
export interface CountProps {
    prefixCls?: string;
    count?: number | (() => number | undefined);
    overflowCount?: number;
    renderer?: (props: CountRendererProps) => ReactNode;
    asyncCount: Function;
}
declare const _default: React.FunctionComponent<CountProps>;
export default _default;
