"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _mobxReactLite = require("mobx-react-lite");

var _badge = _interopRequireDefault(require("../badge"));

var InvalidBadge = function InvalidBadge(props) {
  var children = props.children,
      isInvalid = props.isInvalid,
      prefixCls = props.prefixCls;
  var invalid = isInvalid();
  return invalid ? /*#__PURE__*/_react["default"].createElement(_badge["default"], {
    className: "".concat(prefixCls, "-invalid-badge"),
    count: /*#__PURE__*/_react["default"].createElement("i", {
      className: "".concat(prefixCls, "-invalid-badge-content")
    })
  }, children) : /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, children);
};

InvalidBadge.displayName = 'InvalidBadge';

var _default = (0, _mobxReactLite.observer)(InvalidBadge);

exports["default"] = _default;
//# sourceMappingURL=InvalidBadge.js.map
