"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _noop = _interopRequireDefault(require("lodash/noop"));

var _excluded = ["onTabClick", "tabKey"];
var TabBarInner = /*#__PURE__*/(0, _react.forwardRef)(function TabBarInner(props, ref) {
  var _props$onTabClick = props.onTabClick,
      onTabClick = _props$onTabClick === void 0 ? _noop["default"] : _props$onTabClick,
      tabKey = props.tabKey,
      rest = (0, _objectWithoutProperties2["default"])(props, _excluded);
  var handleClick = (0, _react.useCallback)(function () {
    return onTabClick(tabKey);
  }, [onTabClick, tabKey]);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({}, rest, {
    onClick: handleClick,
    ref: ref
  }));
});
TabBarInner.displayName = 'TabBarInner';
var _default = TabBarInner;
exports["default"] = _default;
//# sourceMappingURL=TabBarInner.js.map
