import { CSSProperties, FunctionComponent, ReactElement, ReactNode } from 'react';
export interface TabGroupProps {
    /** 选项卡头显示文字 */
    tab?: ReactNode | string;
    style?: CSSProperties;
    className?: string;
    rootPrefixCls?: string;
    disabled?: boolean;
    dot?: boolean;
    children?: ReactNode;
    defaultActiveKey?: string;
    hidden?: boolean;
}
declare const TabGroup: FunctionComponent<TabGroupProps>;
export declare type TabGroupType = typeof TabGroup & {
    __IS_TAB_GROUP: boolean;
};
export declare function isTabGroup(el: ReactNode): el is ReactElement<TabGroupProps>;
declare const _default: TabGroupType;
export default _default;
