"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _noop = _interopRequireDefault(require("lodash/noop"));

var _shared = require("choerodon-ui/shared");

var _mobx = require("mobx");

var TabsContext = (0, _shared.getContext)(_shared.Symbols.TabsContext, {
  changeActiveKey: _noop["default"],
  saveCustomized: _noop["default"],
  groupedPanelsMap: new Map(),
  currentPanelMap: new Map(),
  totalPanelsMap: new Map(),
  validationMap: _mobx.observable.map()
});
var _default = TabsContext;
exports["default"] = _default;
//# sourceMappingURL=TabsContext.js.map
