import { Component } from 'react';
import ConfigContext, { ConfigContextValue } from '../config-provider/ConfigContext';
export interface CheckableTagProps {
    prefixCls?: string;
    className?: string;
    checked: boolean;
    onChange?: (checked: boolean) => void;
}
export default class CheckableTag extends Component<CheckableTagProps> {
    static get contextType(): typeof ConfigContext;
    static displayName: string;
    context: ConfigContextValue;
    handleClick: () => void;
    render(): JSX.Element;
}
