import message from '../message';
import exception from '../_util/exception';
import { $l } from '../locale-context';
var defaultFeedback = {
  loadSuccess: function loadSuccess(_result) {},
  loadFailed: function loadFailed(error) {
    message.error(exception(error, $l('DataSet', 'query_failure')));
  },
  submitSuccess: function submitSuccess(_result) {
    message.success($l('DataSet', 'submit_success'));
  },
  submitFailed: function submitFailed(error) {
    message.error(exception(error, $l('DataSet', 'submit_failure')));
  }
};
export default defaultFeedback;
//# sourceMappingURL=FeedBack.js.map
