import React, { ReactNode } from 'react';
import { ButtonGroupProps } from '../../../es/button/ButtonGroup';
import { DropDownProps } from './Dropdown';
import { ButtonProps } from '../button/Button';
export interface DropdownButtonProps extends ButtonGroupProps, DropDownProps, Omit<ButtonProps, 'icon'> {
    icon?: ReactNode;
    buttonProps?: ButtonProps;
    buttonGroupPrefixCls?: string;
}
interface DropdownButtonInterface extends React.FC<DropdownButtonProps> {
    __PRO_DROPDOWN_BUTTON: boolean;
}
declare const DropdownButton: DropdownButtonInterface;
export default DropdownButton;
