import React, { CSSProperties, ReactNode } from 'react';
import { Tooltip as LabelTooltip } from '../core/enum';
import { TooltipProps } from '../tooltip/Tooltip';
export interface FormLabelProps {
    className?: string;
    rowSpan?: number;
    children?: ReactNode;
    style?: CSSProperties;
    tooltip?: LabelTooltip | [LabelTooltip, TooltipProps];
    help?: ReactNode;
}
declare const _default: React.NamedExoticComponent<FormLabelProps>;
export default _default;
