import { CSSProperties, FunctionComponent, ReactNode } from 'react';
import { ShowHelp } from '../field/enum';
import { Tooltip as TextTooltip } from '../core/enum';
export interface ItemGroupProps {
    className?: string;
    style?: CSSProperties;
    children?: ReactNode;
    label?: string | ReactNode;
    labelWidth?: number;
    labelTooltip?: TextTooltip;
    help?: string;
    showHelp?: ShowHelp.label;
    required?: boolean;
    useColon?: boolean;
    compact?: boolean;
    hidden?: boolean;
    colSpan?: number;
    rowSpan?: number;
    newLine?: boolean;
}
declare const ItemGroup: FunctionComponent<ItemGroupProps>;
export default ItemGroup;
