import { ReactNode, FocusEventHandler } from 'react';
import { OptionProps } from './Option';
export interface MentionsContextProps {
    notFoundContent: ReactNode;
    activeIndex: number;
    setActiveIndex: (index: number) => void;
    selectOption: (option: OptionProps) => void;
    onFocus: FocusEventHandler<HTMLElement>;
    onBlur: FocusEventHandler<HTMLElement>;
}
export declare const MentionsContextProvider: import("react").Provider<MentionsContextProps>;
export declare const MentionsContextConsumer: import("react").Consumer<MentionsContextProps>;
