import { ReactNode } from 'react';
import { ModalContainerProps } from '../modal-container/ModalContainer';
import { ModalContextValue } from './ModalContext';
export interface ModalProviderProps extends ModalContainerProps {
    children?: ReactNode;
}
declare const ModalProvider: {
    (props: ModalProviderProps): JSX.Element;
    displayName: string;
    useModal: () => ModalContextValue;
    injectModal: (Target: any) => {
        (props: any): JSX.Element;
        displayName: string;
    };
};
export declare const useModal: () => ModalContextValue;
export declare const injectModal: (Target: any) => {
    (props: any): JSX.Element;
    displayName: string;
};
export default ModalProvider;
