import { ReactNode } from 'react';
import { DrawerTransitionName, ModalProps } from './Modal';
export declare const suffixCls = "modal";
export declare type confirmProps = {
    iconType?: string;
    type?: string;
    children?: any;
};
export declare function normalizeProps(props: ModalProps & confirmProps | ReactNode): ModalProps & confirmProps;
export declare function toUsefulDrawerTransitionName(drawerTransitionName?: string): DrawerTransitionName;
