import React, { ReactNode } from 'react';
import { TooltipProps } from '../tooltip/Tooltip';
import { Tooltip as TextTooltip } from '../core/enum';
export interface MultiLineProps {
    prefixCls?: string;
    label?: ReactNode;
    validationMessage?: ReactNode;
    required?: boolean;
    validationHidden?: boolean;
    tooltip?: TextTooltip;
    labelTooltip?: TextTooltip | [TextTooltip, TooltipProps];
    children?: ReactNode;
}
declare const _default: React.NamedExoticComponent<MultiLineProps>;
export default _default;
