import * as React from 'react';
import { DraggableProvided, DraggableStateSnapshot } from 'react-beautiful-dnd';
export interface CellGroupProps {
    fixed?: 'left' | 'right';
    width?: number;
    height?: number;
    left?: number;
    style?: React.CSSProperties;
    className?: string;
    classPrefix?: string;
    snapshot?: DraggableStateSnapshot;
    provided?: DraggableProvided;
    rowDraggable?: boolean;
}
declare class CellGroup extends React.PureComponent<CellGroupProps> {
    static defaultProps: {
        classPrefix: string;
    };
    addPrefix: (name: string) => any;
    render(): JSX.Element;
}
export default CellGroup;
