import { getContext, Symbols } from 'choerodon-ui/shared';
import translateDOMPositionXY from './utils/translateDOMPositionXY';
import isRTL from './utils/isRTL';
var TableContext = getContext(Symbols.ProPerformanceTableContext, {
  rtl: isRTL(),
  hasCustomTreeCol: false,
  isTree: false,
  translateDOMPositionXY: translateDOMPositionXY,
  tableStore: {}
});
export default TableContext;
//# sourceMappingURL=TableContext.js.map
