import React, { ReactNode } from 'react';
import { DraggableProvided, DropResult, ResponderProvided } from 'react-beautiful-dnd';
import Record from '../../../data-set/Record';
export interface SubGroupProps {
    record: Record;
    childrenRecords: Record[];
    records: Record[];
    index: number;
    onDragEnd: (result: DropResult, provided: ResponderProvided) => void;
    treeNodeRenderer: (record: Record, provided: DraggableProvided) => ReactNode;
    treeNodeSuffix: (record: Record, index: number, records: Record[]) => ReactNode;
}
declare const _default: React.FunctionComponent<SubGroupProps>;
export default _default;
