import _objectSpread from "@babel/runtime/helpers/objectSpread2";

function flattenData(data) {
  var flattenItems = [];

  function loop(data, _parent) {
    if (!Array.isArray(data)) {
      return;
    }

    data.forEach(function (item) {
      item._parent = _parent; // @ts-ignore

      flattenItems.push(_objectSpread({}, item));

      if (item.children) {
        loop(item.children, item);
      }
    });
  }

  loop(data, null);
  return flattenItems;
}

export default flattenData;
//# sourceMappingURL=flattenData.js.map
