import React, { ReactNode } from 'react';
import { ElementProps } from '../core/ViewComponent';
import ColumnGroup from './ColumnGroup';
export interface TableVirtualHeaderCellProps extends ElementProps {
    columnGroup: ColumnGroup;
    rowSpan?: number;
    colSpan?: number;
    rowIndex?: number;
    getHeaderNode?: () => HTMLTableSectionElement | null;
    scope?: string;
    children?: ReactNode;
    isSearchCell?: boolean;
    isRenderCell?: boolean;
}
declare const _default: React.FunctionComponent<TableVirtualHeaderCellProps>;
export default _default;
