import React from 'react';
import { observer } from 'mobx-react-lite';
import Tree from '../tree/Tree';
import SubGroups from './SubGroups';

var Group = function Group(props) {
  var records = props.records,
      value = props.value,
      onDragEnd = props.onDragEnd,
      treeNodeRenderer = props.treeNodeRenderer,
      treeNodeSuffix = props.treeNodeSuffix;
  return /*#__PURE__*/React.createElement(Tree, {
    value: value
  }, /*#__PURE__*/React.createElement(SubGroups, {
    records: records,
    onDragEnd: onDragEnd,
    treeNodeRenderer: treeNodeRenderer,
    treeNodeSuffix: treeNodeSuffix
  }));
};

Group.displayName = 'Group';
export default observer(Group);
//# sourceMappingURL=Group.js.map
