import React from "react";

function CustomArea(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", null, children);
}

function areEqual(prevProps, nextProps) {
  if (prevProps.targetOption || nextProps.targetOption) {
    if (prevProps.targetOption.length !== nextProps.targetOption.length) {
      return false;
    }

    var newTarget = nextProps.targetOption.map(function (record) {
      return record.id;
    });
    var preTarget = prevProps.targetOption.map(function (record) {
      return record.id;
    });
    return newTarget.every(function (v, i) {
      return v === preTarget[i];
    });
  }

  return true;
}

export default /*#__PURE__*/React.memo(CustomArea, areEqual);
//# sourceMappingURL=CustomArea.js.map
