import * as React from 'react';
import { BlockProps } from './interface';
import { FormField, FormFieldProps } from '../field/FormField';
export interface LinkProps extends BlockProps, FormFieldProps<any> {
    ellipsis?: boolean;
    rel?: string;
    target?: string;
}
export default class Link extends FormField<LinkProps> {
    static displayName: string;
    static __PRO_TEXT: boolean;
    static defaultProps: {
        suffixCls: string;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    renderWrapper(): React.ReactNode;
}
