import _extends from "@babel/runtime/helpers/extends";
import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _typeof from "@babel/runtime/helpers/typeof";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
var _excluded = ["ellipsis", "rel", "children"];
import { __decorate } from "tslib";
import * as React from 'react';
import { observer } from 'mobx-react';
import warning from '../../../es/_util/warning';
import Base from './Base';
import { FormField } from '../field/FormField';

var Link = /*#__PURE__*/function (_FormField) {
  _inherits(Link, _FormField);

  var _super = _createSuper(Link);

  function Link() {
    _classCallCheck(this, Link);

    return _super.apply(this, arguments);
  }

  _createClass(Link, [{
    key: "renderWrapper",
    value: function renderWrapper() {
      var _this$props = this.props,
          ellipsis = _this$props.ellipsis,
          rel = _this$props.rel,
          children = _this$props.children,
          restProps = _objectWithoutProperties(_this$props, _excluded);

      warning(_typeof(ellipsis) !== 'object', 'Typography.Link `ellipsis` only supports boolean value.');

      var mergedProps = _objectSpread(_objectSpread({}, restProps), {}, {
        rel: rel === undefined && restProps.target === '_blank' ? 'noopener noreferrer' : rel
      });

      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Base, _extends({}, mergedProps, {
        ellipsis: !!ellipsis,
        component: "a"
      }), this.processRenderer(this.getValue()) || children), this.renderFloatLabel());
    }
  }]);

  return Link;
}(FormField);

Link.displayName = 'Link';
Link.__PRO_TEXT = true;
Link.defaultProps = _objectSpread(_objectSpread({}, FormField.defaultProps), {}, {
  suffixCls: 'link'
});
Link = __decorate([observer], Link);
export default Link;
//# sourceMappingURL=Link.js.map
