import * as React from 'react';
import { BlockProps } from './interface';
import { FormField, FormFieldProps } from '../field/FormField';
export interface ParagraphProps extends BlockProps, FormFieldProps {
    onClick?: (e?: React.MouseEvent<HTMLDivElement>) => void;
}
export default class Paragraph extends FormField<ParagraphProps> {
    static displayName: string;
    static __PRO_TEXT: boolean;
    static defaultProps: {
        suffixCls: string;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    renderWrapper(): React.ReactNode;
}
