import { useMemo } from 'react';
import { computed } from 'mobx';
import { useComputed as useMobxComputed } from 'mobx-react-lite';

var useComputed = useMobxComputed || function (func) {
  var inputs = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  return useMemo(function () {
    return computed(func);
  }, inputs).get();
};

export default useComputed;
//# sourceMappingURL=index.js.map
