import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import { useMemo } from 'react';
import DataSet from 'choerodon-ui/dataset';
import useConfig from '../../../es/use-config';
export default function useDataSet(factory, deps) {
  var context = useConfig();
  var getLocalConfig = context.getConfig;
  return useMemo(function () {
    return new DataSet(factory(), {
      getConfig: getLocalConfig
    });
  }, deps ? [getLocalConfig].concat(_toConsumableArray(deps)) : [getLocalConfig]);
}
//# sourceMappingURL=index.js.map
