import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _get from "@babel/runtime/helpers/get";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import DatePicker from '../date-picker/DatePicker';
import { ViewMode } from '../date-picker/enum';

var WeekPicker = /*#__PURE__*/function (_DatePicker) {
  _inherits(WeekPicker, _DatePicker);

  var _super = _createSuper(WeekPicker);

  function WeekPicker() {
    _classCallCheck(this, WeekPicker);

    return _super.apply(this, arguments);
  }

  _createClass(WeekPicker, [{
    key: "getWrapperClassNames",
    value: function getWrapperClassNames() {
      var prefixCls = this.prefixCls;
      return _get(_getPrototypeOf(WeekPicker.prototype), "getWrapperClassNames", this).call(this, "".concat(prefixCls, "-week-picker-wrapper"));
    }
  }]);

  return WeekPicker;
}(DatePicker);

export { WeekPicker as default };
WeekPicker.displayName = 'WeekPicker';
WeekPicker.defaultProps = _objectSpread(_objectSpread({}, DatePicker.defaultProps), {}, {
  mode: ViewMode.week
});
//# sourceMappingURL=WeekPicker.js.map
