import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _get from "@babel/runtime/helpers/get";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import _createSuper from "@babel/runtime/helpers/createSuper";
import DatePicker from '../date-picker/DatePicker';
import { ViewMode } from '../date-picker/enum';

var YearPicker = /*#__PURE__*/function (_DatePicker) {
  _inherits(YearPicker, _DatePicker);

  var _super = _createSuper(YearPicker);

  function YearPicker() {
    _classCallCheck(this, YearPicker);

    return _super.apply(this, arguments);
  }

  _createClass(YearPicker, [{
    key: "getWrapperClassNames",
    value: function getWrapperClassNames() {
      var prefixCls = this.prefixCls;
      return _get(_getPrototypeOf(YearPicker.prototype), "getWrapperClassNames", this).call(this, "".concat(prefixCls, "-year-picker-wrapper"));
    }
  }]);

  return YearPicker;
}(DatePicker);

export { YearPicker as default };
YearPicker.displayName = 'YearPicker';
YearPicker.defaultProps = _objectSpread(_objectSpread({}, DatePicker.defaultProps), {}, {
  mode: ViewMode.year
});
//# sourceMappingURL=YearPicker.js.map
