"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = isReactChildren;

var _react = require("react");

var _mobx = require("mobx");

function isReactChildren(element) {
  if (element) {
    if ((0, _mobx.isArrayLike)(element)) {
      return element.some(isReactChildren);
    }

    return /*#__PURE__*/(0, _react.isValidElement)(element);
  }

  return false;
}
//# sourceMappingURL=isReactChildren.js.map
