import React from 'react';
import DataSet from '../data-set';
import Record from '../data-set/Record';
import { Commands } from '../table/Table';
export declare type cardCommandsProps = {
    dataSet: DataSet;
    record: Record;
};
declare type CardCommandProps = {
    record: Record;
    prefixCls: string;
    dataSet: DataSet;
    command?: Commands[] | ((props: cardCommandsProps) => Commands[]);
    renderCommand?: Function | ((props: any) => PromiseLike<any>);
    viewMode?: string;
};
declare const _default: React.FunctionComponent<CardCommandProps>;
export default _default;
