"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Size", {
  enumerable: true,
  get: function get() {
    return _enum.Size;
  }
});
exports.ViewModeIcon = exports.ViewMode = exports.ViewField = void 0;

var _enum = require("../../../lib/_util/enum");

var ViewMode;
exports.ViewMode = ViewMode;

(function (ViewMode) {
  ViewMode["kanban"] = "kanban";
  ViewMode["card"] = "card";
  ViewMode["table"] = "table";
})(ViewMode || (exports.ViewMode = ViewMode = {}));

var ViewModeIcon;
exports.ViewModeIcon = ViewModeIcon;

(function (ViewModeIcon) {
  ViewModeIcon["kanban"] = "kanban";
  ViewModeIcon["card"] = "kapian";
  ViewModeIcon["table"] = "biaoge-o";
})(ViewModeIcon || (exports.ViewModeIcon = ViewModeIcon = {}));

var ViewField;
exports.ViewField = ViewField;

(function (ViewField) {
  ViewField["activeKey"] = "defaultFlag";
  ViewField["viewProps"] = "dataJson";
  ViewField["viewMode"] = "viewType";
  ViewField["viewName"] = "viewName";
  ViewField["id"] = "id";
  ViewField["groupField"] = "groupField";
  ViewField["cardWidth"] = "cardWidth";
  ViewField["displayFields"] = "displayFields";
  ViewField["showLabel"] = "showLabel";
  ViewField["sort"] = "sort";
  ViewField["viewHeight"] = "viewHeight";
  ViewField["combineSort"] = "combineSort";
})(ViewField || (exports.ViewField = ViewField = {}));
//# sourceMappingURL=enum.js.map
