"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireWildcard(require("react"));

var _mobxReactLite = require("mobx-react-lite");

var _reactBeautifulDnd = require("react-beautiful-dnd");

var _BoardContext = _interopRequireDefault(require("../../BoardContext"));

var Tree = function Tree(props) {
  var children = props.children;

  var _useContext = (0, _react.useContext)(_BoardContext["default"]),
      prefixCls = _useContext.prefixCls; // const { droppableProps, renderClone } = columnsDragRender;


  return true ? /*#__PURE__*/_react["default"].createElement(_reactBeautifulDnd.Droppable, {
    droppableId: "tree__--__fields",
    key: "tree"
  }, function (droppableProvided) {
    return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
      ref: droppableProvided.innerRef,
      className: "".concat(prefixCls, "-customization-tree")
    }, droppableProvided && droppableProvided.droppableProps), children, droppableProvided && droppableProvided.placeholder);
  }) : /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-customization-tree")
  }, children);
};

Tree.displayName = 'Tree';

var _default = (0, _mobxReactLite.observer)(Tree);

exports["default"] = _default;
//# sourceMappingURL=Tree.js.map
