"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));

var _tslib = require("tslib");

var _mobxReact = require("mobx-react");

var _NumberField2 = require("../number-field/NumberField");

var _enum = require("../data-set/enum");

var _formatCurrency = _interopRequireDefault(require("../formatter/formatCurrency"));

var _utils = require("../field/utils");

var Currency = /*#__PURE__*/function (_NumberField) {
  (0, _inherits2["default"])(Currency, _NumberField);

  var _super = (0, _createSuper2["default"])(Currency);

  function Currency() {
    (0, _classCallCheck2["default"])(this, Currency);
    return _super.apply(this, arguments);
  }

  (0, _createClass2["default"])(Currency, [{
    key: "getFieldType",
    value: function getFieldType() {
      return _enum.FieldType.currency;
    }
  }, {
    key: "getFormatter",
    value: function getFormatter() {
      return this.getProp('formatter') || (0, _utils.getCurrencyFormatter)(this.getContextConfig);
    }
  }, {
    key: "getFormatOptions",
    value: function getFormatOptions() {
      var _this = this;

      return (0, _utils.getCurrencyFormatOptions)(function (name) {
        return _this.getProp(name);
      }, function (name) {
        return _this.getDisplayProp(name);
      }, this.lang, this.getContextConfig);
    }
  }]);
  return Currency;
}(_NumberField2.NumberField);

Currency.displayName = 'Currency';
Currency.format = _formatCurrency["default"];
/**
 * @deprecated
 */

Currency.bigNumberFormat = _formatCurrency["default"];
Currency = (0, _tslib.__decorate)([_mobxReact.observer], Currency);
var _default = Currency;
exports["default"] = _default;
//# sourceMappingURL=Currency.js.map
