"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.$l = $l;
exports["default"] = void 0;

var _LocaleContext = _interopRequireDefault(require("./LocaleContext"));

var _formatReactTemplate = require("../formatter/formatReactTemplate");

var _en_US = _interopRequireDefault(require("./en_US"));

function $l(component, key, injectionOptions) {
  var locale = _LocaleContext["default"].get(component, key, _en_US["default"]);

  if (injectionOptions) {
    return (0, _formatReactTemplate.formatReactTemplate)(locale, injectionOptions);
  }

  return locale;
}

var _default = _LocaleContext["default"];
exports["default"] = _default;
//# sourceMappingURL=index.js.map
