import React, { ForwardRefExoticComponent, PropsWithoutRef, RefAttributes } from 'react';
export interface ColumnGroupProps {
    align?: 'left' | 'center' | 'right';
    verticalAlign?: 'top' | 'middle' | 'bottom';
    fixed?: boolean | 'left' | 'right';
    width?: number;
    left?: number;
    header?: React.ReactNode;
    children?: React.ReactNode;
    className?: string;
    headerHeight?: number;
    classPrefix?: string;
}
export interface IColumnGroup extends ForwardRefExoticComponent<PropsWithoutRef<ColumnGroupProps> & RefAttributes<HTMLDivElement>> {
    __PRO_TABLE_COLUMN_GROUP?: boolean;
}
declare const ColumnGroup: IColumnGroup;
export default ColumnGroup;
