"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _enum = require("../../button/enum");

var _enum2 = require("../../core/enum");

var _Button = _interopRequireDefault(require("../../button/Button"));

var _useModal = _interopRequireDefault(require("../../use-modal"));

var CustomizationColumnHeader = function CustomizationColumnHeader(props) {
  var onHeaderClick = props.onHeaderClick;
  var modal = (0, _useModal["default"])();
  var openCustomizationModal = (0, _react.useCallback)(function () {
    return onHeaderClick(modal);
  }, [modal, onHeaderClick]);
  return /*#__PURE__*/_react["default"].createElement(_Button["default"], {
    funcType: _enum.FuncType.flat,
    size: _enum2.Size.small,
    icon: "predefine",
    onClick: openCustomizationModal
  });
};

CustomizationColumnHeader.displayName = 'CustomizationColumnHeader';

var _default = /*#__PURE__*/(0, _react.memo)(CustomizationColumnHeader);

exports["default"] = _default;
//# sourceMappingURL=CustomizationColumnHeader.js.map
