"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _TableContext = _interopRequireDefault(require("./TableContext"));

var AggregationTreeGroups = function AggregationTreeGroups(props) {
  var trees = props.trees;

  var _useContext = (0, _react.useContext)(_TableContext["default"]),
      prefixCls = _useContext.prefixCls;

  if (trees.length > 1) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "".concat(prefixCls, "-aggregation-groups")
    }, trees.map(function (tree, index) {
      return /*#__PURE__*/_react["default"].createElement("div", {
        key: String(index),
        className: "".concat(prefixCls, "-aggregation-groups-tree")
      }, tree);
    }));
  }

  return trees[0];
};

AggregationTreeGroups.displayName = 'AggregationTreeGroups';
var _default = AggregationTreeGroups;
exports["default"] = _default;
//# sourceMappingURL=AggregationTreeGroups.js.map
