"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _mobxReactLite = require("mobx-react-lite");

var ExpandedRow = function ExpandedRow(props) {
  var renderExpandedRows = props.renderExpandedRows;
  var child = renderExpandedRows(props);

  if (child) {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, child);
  }

  return null;
};

ExpandedRow.displayName = 'ExpandedRow';

var _default = (0, _mobxReactLite.observer)(ExpandedRow);

exports["default"] = _default;
//# sourceMappingURL=ExpandedRow.js.map
