export { Tooltip as TableColumnTooltip } from '../core/enum';
export declare enum ColumnLock {
    left = "left",
    right = "right"
}
export declare enum RowBoxPlacement {
    start = "start",
    end = "end"
}
export declare enum ColumnAlign {
    left = "left",
    center = "center",
    right = "right"
}
export declare enum DragColumnAlign {
    left = "left",
    right = "right"
}
export declare enum ScrollPosition {
    left = "left",
    right = "right",
    both = "both",
    middle = "middle"
}
export declare enum SelectionMode {
    rowbox = "rowbox",
    treebox = "treebox",
    click = "click",
    none = "none",
    dblclick = "dblclick",
    mousedown = "mousedown"
}
export declare enum TableButtonType {
    add = "add",
    delete = "delete",
    remove = "remove",
    save = "save",
    query = "query",
    reset = "reset",
    expandAll = "expandAll",
    collapseAll = "collapseAll",
    export = "export"
}
export declare enum TableCommandType {
    edit = "edit",
    delete = "delete"
}
export declare enum TableMode {
    list = "list",
    tree = "tree"
}
export declare enum TableEditMode {
    cell = "cell",
    inline = "inline"
}
export declare enum TableQueryBarType {
    normal = "normal",
    bar = "bar",
    none = "none",
    advancedBar = "advancedBar",
    professionalBar = "professionalBar",
    filterBar = "filterBar",
    comboBar = "comboBar"
}
export declare enum TablePaginationPosition {
    top = "top",
    bottom = "bottom",
    both = "both"
}
export declare enum TableHeightType {
    auto = "auto",
    fixed = "fixed",
    flex = "flex"
}
export declare enum TableAutoHeightType {
    maxHeight = "maxHeight",
    minHeight = "minHeight"
}
export declare enum HighLightRowType {
    click = "click",
    focus = "focus"
}
export declare enum GroupType {
    header = "header",
    column = "column",
    row = "row",
    none = "none"
}
export declare enum TableColumnResizeTriggerType {
    hover = "hover",
    mouseDown = "mouseDown"
}
export declare enum TableBoxSizing {
    content = "content",
    wrapper = "wrapper"
}
