"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _default = /*#__PURE__*/(0, _react.memo)(function TableButtons(_ref) {
  var prefixCls = _ref.prefixCls,
      buttons = _ref.buttons,
      children = _ref.children;
  var buttonGroup = buttons.length ? /*#__PURE__*/_react["default"].createElement("span", {
    className: "".concat(prefixCls, "-toolbar-button-group")
  }, buttons) : null;

  if (buttonGroup || children) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "".concat(prefixCls, "-toolbar")
    }, buttonGroup, children);
  }

  return null;
});

exports["default"] = _default;
//# sourceMappingURL=TableButtons.js.map
