import { AxiosRequestConfig } from 'axios';
import { DataSetProps, DataToJSON } from '../../../data-set/interface';
export declare const ConditionDataSet: () => DataSetProps;
export declare const QuickFilterDataSet: ({ queryDataSet, tableFilterAdapter }: {
    queryDataSet: any;
    tableFilterAdapter: any;
}) => {
    paging: boolean;
    autoQuery: boolean;
    primaryKey: string;
    dataToJSON: DataToJSON;
    transport: {
        adapter: (config: AxiosRequestConfig, type: string) => AxiosRequestConfig;
    };
    fields: ({
        name: string;
        label: string;
        type: string;
        maxLength: number;
        required: boolean;
    } | {
        name: string;
        type: string;
        label?: undefined;
        maxLength?: undefined;
        required?: undefined;
    })[];
};
