import { RefObject } from 'react';
import { TooltipProps } from 'choerodon-ui/pro/lib/tooltip/Tooltip';
import TaskRunner from 'choerodon-ui/pro/lib/_util/TaskRunner';
export declare type TooltipContainerRef = {
    open: (target: Node, props: TooltipProps, duration?: number) => TaskRunner;
    close: (duration?: number) => TaskRunner;
};
export declare type TooltipManagerType = {
    container?: RefObject<TooltipContainerRef>;
    root?: HTMLDivElement;
};
declare const manager: TooltipManagerType;
export default manager;
